Bug 867133 - Banshee crashes in fedora 18
Banshee crashes in fedora 18
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: banshee (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
: 883089 902376 924566 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 16:31 EDT by javiermon
Modified: 2013-04-02 10:03 EDT (History)
28 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-01 18:28:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description javiermon 2012-10-16 16:31:48 EDT
Description of problem:
banshee crashes in Fedora 18, the crashes seem to happen on startup, rescanning of sources, and general playback. It's very easy to get a crash, but difficult to have the exact same one.

Version-Release number of selected component (if applicable):
yum info banshee
Paquetes instalados
Nombre        : banshee
Arquitectura        : x86_64
Versión     : 2.6.0
Lanzamiento     : 1.fc18
Tamaño        : 13 M
Repositorio        : installed
Desde el repositorio   : updates-testing


How reproducible:
Always.

Steps to Reproduce:
1. Start banshee
2. if it doesn't crash, rescan all music.

Here's a trace of a crash:
$ banshee --debug
** Running Mono with --debug   **
[1 Debug 22:27:06.857] Bus.Session.RequestName ('org.bansheeproject.Banshee') replied with PrimaryOwner
[1 Info  22:27:06.890] Running Banshee 2.6.0: [Fedora18-2.6.0-1.fc18 (linux-gnu, x86_64) @ 2012-10-11 14:00:36 UTC]
[1 Debug 22:27:06.920] Initializing GTK
[1 Debug 22:27:08.134] Post-Initializing GTK
[1 Debug 22:27:08.142] Configuration client extension loaded (Banshee.GnomeBackend.GConfConfigurationClient)
[1 Debug 22:27:08.146] Using default gconf-base-key
[1 Debug 22:27:08.271] Core service started (DBusServiceManager, 0,002023)
[1 Debug 22:27:08.274] Registering remote object /org/bansheeproject/Banshee/DBusCommandService (Banshee.ServiceStack.DBusCommandService) on org.bansheeproject.Banshee
[1 Debug 22:27:08.289] Core service started (DBusCommandService, 0,017237)
[1 Debug 22:27:08.336] Opened SQLite (version 3.7.13) connection to /home/javier/.config/banshee-1/banshee.db
[1 Debug 22:27:08.337] Core service started (DbConnection, 0,047895)
[1 Debug 22:27:08.351] Database version 45 is up to date
[1 Debug 22:27:08.398] Core service started (PreferenceService, 0,020487)
[1 Debug 22:27:08.411] Core service started (Network, 0,012118)
[1 Debug 22:27:08.412] Registering remote object /org/bansheeproject/Banshee/SourceManager (Banshee.Sources.SourceManager) on org.bansheeproject.Banshee
[1 Debug 22:27:08.412] Core service started (SourceManager, 0,001632)
[1 Debug 22:27:08.423] Core service started (MediaProfileManager, 0,000578)
[1 Debug 22:27:08.428] Registering remote object /org/bansheeproject/Banshee/PlayerEngine (Banshee.MediaEngine.PlayerEngineService) on org.bansheeproject.Banshee
[1 Debug 22:27:08.432] Core service started (PlayerEngine, 0,008729)
[1 Debug 22:27:08.460] Registering remote object /org/bansheeproject/Banshee/PlaybackController (Banshee.PlaybackController.PlaybackControllerService) on org.bansheeproject.Banshee
[1 Debug 22:27:08.462] Core service started (PlaybackController, 0,004781)
[1 Debug 22:27:08.472] Starting - Startup Job
[1 Debug 22:27:08.474] Core service started (JobScheduler, 0,01219)
[1 Debug 22:27:08.488] IO provider extension loaded (Banshee.IO.Gio.Provider)
[1 Debug 22:27:08.564] Loaded HardwareManager backend: Banshee.Hardware.Gio
[1 Debug 22:27:08.567] Core service started (HardwareManager, 0,092504)
[1 Debug 22:27:08.569] Bus.Session.RequestName ('org.bansheeproject.CollectionIndexer') replied with PrimaryOwner
[1 Debug 22:27:08.571] Registering remote object /org/bansheeproject/Banshee/CollectionIndexerService (Banshee.Collection.Indexer.CollectionIndexerService) on org.bansheeproject.CollectionIndexer
[1 Debug 22:27:08.574] Core service started (CollectionIndexerService, 0,007061)
[1 Debug 22:27:08.578] Core service started (SaveTrackMetadataService, 0,003529)
[1 Debug 22:27:08.594] Adding icon theme search path: /usr/share/banshee/icons
[1 Debug 22:27:08.596] Core service started (GtkElementsService, 0,017914)
[1 Debug 22:27:08.600] Core service started (InterfaceActionService, 0,003763)
[1 Debug 22:27:08.802] Extension actions loaded: MetadataFixActions
[1 Debug 22:27:08.803] Registering remote object /org/bansheeproject/Banshee/GlobalUIActions (Banshee.Gui.GlobalActions) on org.bansheeproject.Banshee
[1 Debug 22:27:08.806] Album artwork path set to /home/javier/.cache/media-art
[1 Debug 22:27:08.834] Core service started (ArtworkManager, 0,031024)
[1 Debug 22:27:08.835] Core service started (BookmarksService, 0,000324)
[1 Debug 22:27:09.068] Adding context page lastfm-recommendations
[1 Debug 22:27:09.347] Constructed Nereid interface: 0,458514
[1 Debug 22:27:09.414] Creating new surface cache for 90px images, capped at 0,87 MiB (28 items)
[1 Debug 22:27:09.462] Registering remote object /org/bansheeproject/Banshee/ClientWindow (Nereid.PlayerInterface) on org.bansheeproject.Banshee
[1 Debug 22:27:09.462] Core service started (NereidPlayerInterface, 0,608666)
[1 Debug 22:27:09.466] Extension service started (DapService, 0,002628)
[1 Debug 22:27:09.500] Audioscrobbler state: connected
[1 Debug 22:27:09.505] Extension service started (AudioscrobblerService, 0,037729)
[1 Debug 22:27:09.508] Extension service started (CoverArtService, 0,003342)
[1 Debug 22:27:09.545] Extension service started (NotificationAreaService, 0,037174)
[1 Debug 22:27:09.555] Using GNOME 2.22 API for Multimedia Keys
[1 Debug 22:27:09.555] Extension service started (MultimediaKeysService, 0,009235)
[1 Debug 22:27:09.557] Extension service started (DaapService, 0,001748)
[1 Debug 22:27:09.566] Extension service started (MiniModeService, 0,00887)
[1 Debug 22:27:09.576] Extension service started (AlbumArtWriterService, 0,00964)
[1 Info  22:27:09.581] Updating web proxy from GConf
[1 Debug 22:27:09.588] Direct connection, no proxy in use
[1 Debug 22:27:09.607] Extension service started (GnomeService, 0,031469)
[1 Debug 22:27:09.615] Extension service started (BpmService, 0,007386)
[1 Debug 22:27:09.646] Extension service started (GStreamerCoreService, 0,030555)
[1 Debug 22:27:09.661] Extension service started (AudioCdService, 0,014838)
[1 Debug 22:27:09.662] Extension service started (DvdService, 0,000857)
[1 Info  22:27:09.663] All services are started 1,476324
[1 Debug 22:27:10.130] Creating Pango.Layout, configuring Cairo.Context
[1 Debug 22:27:10.400] Extension source loaded: Last.fm
[1 Debug 22:27:10.488] Extension source loaded: Cola del sistema de archivos
[1 Debug 22:27:10.501] Extension source loaded: Radio
[1 Debug 22:27:10.506] Extension source loaded: En reproducción
[1 Debug 22:27:10.777] Registering remote object /org/bansheeproject/Banshee/SourceManager/PlayQueue (Banshee.PlayQueue.PlayQueueSource) on org.bansheeproject.Banshee
[1 Debug 22:27:10.777] Extension source loaded: Cola de reproducción
[1 Debug 22:27:10.783] Starting GTK main loop
[1 Debug 22:27:10.990] Creating Pango.Layout, configuring Cairo.Context
[1 Info  22:27:11.098] nereid Client Started
[1 Debug 22:27:11.102] Delayed Initializating Banshee.MediaEngine.PlayerEngineService
[1 Debug 22:27:11.147] (libbanshee:player) Audiosink has volume: YES
[1 Debug 22:27:11.176] (libbanshee:player) Using system (gst-plugins-good) equalizer element
[1 Debug 22:27:11.252] Player state change: NotReady -> Ready
[1 Debug 22:27:11.258] Loaded equalizer presets: 0,000247
[1 Debug 22:27:11.263] Selected equalizer: Rock
[1 Debug 22:27:11.267] Player state change: Ready -> Idle
[1 Debug 22:27:11.271] (libbanshee:player) Disabled ReplayGain
[1 Info  22:27:11.272] GStreamer version 0.10.36.0, gapless: True, replaygain: False
[1 Debug 22:27:11.278] Delayed Initializating Banshee.Dap.DapService
[1 Debug 22:27:11.292] Dap support extension loaded: Banshee.Dap.MassStorage
[1 Debug 22:27:11.294] Dap support extension loaded: Banshee.Dap.Mtp
[1 Debug 22:27:11.296] Dap support extension loaded: Banshee.Dap.AppleDevice
[1 Debug 22:27:11.298] Delayed Initializating Banshee.Daap.DaapService
[8 Debug 22:27:11.431] DAAP Proxy listening for connections on port 8089
[1 Debug 22:27:12.304] Finished - Startup Job
[1 Debug 22:27:12.311] Starting - Descargando portadas
[9 Debug 22:27:12.317] Finished - Descargando portadas
[9 Debug 22:27:12.337] Starting - Saving Cover Art To Album folders
Stacktrace:

  at (wrapper managed-to-native) Gtk.Application.gtk_main () <IL 0x0000e, 0xffffffff>
  at Gtk.Application.Run () <IL 0x00000, 0x0000b>
  at Banshee.Gui.GtkBaseClient.Run () [0x00000] in /builddir/build/BUILD/banshee-2.6.0/src/Core/Banshee.ThickClient/Banshee.Gui/GtkBaseClient.cs:207
  at Banshee.Gui.GtkBaseClient.Startup () [0x00000] in /builddir/build/BUILD/banshee-2.6.0/src/Core/Banshee.ThickClient/Banshee.Gui/GtkBaseClient.cs:82
  at Hyena.Gui.CleanRoomStartup.Startup (Hyena.Gui.CleanRoomStartup/StartupInvocationHandler) [0x00044] in /builddir/build/BUILD/banshee-2.6.0/src/Hyena/Hyena.Gui/Hyena.Gui/CleanRoomStartup.cs:54
  at Banshee.Gui.GtkBaseClient.Startup<T> () [0x00024] in /builddir/build/BUILD/banshee-2.6.0/src/Core/Banshee.ThickClient/Banshee.Gui/GtkBaseClient.cs:77
  at Banshee.Gui.GtkBaseClient.Startup<T> (string[]) [0x0004d] in /builddir/build/BUILD/banshee-2.6.0/src/Core/Banshee.ThickClient/Banshee.Gui/GtkBaseClient.cs:67
  at Nereid.Client.Main (string[]) [0x00000] in /builddir/build/BUILD/banshee-2.6.0/src/Clients/Nereid/Nereid/Client.cs:54
  at (wrapper runtime-invoke) <Module>.runtime_invoke_void_object (object,intptr,intptr,intptr) <IL 0x00050, 0xffffffff>
  at (wrapper managed-to-native) System.AppDomain.ExecuteAssembly (System.AppDomain,System.Reflection.Assembly,string[]) <IL 0x0001b, 0xffffffff>
  at System.AppDomain.ExecuteAssemblyInternal (System.Reflection.Assembly,string[]) [0x00026] in /builddir/build/BUILD/mono-2.10.8/mcs/class/corlib/System/AppDomain.cs:660
  at System.AppDomain.ExecuteAssembly (string,System.Security.Policy.Evidence,string[]) [0x00008] in /builddir/build/BUILD/mono-2.10.8/mcs/class/corlib/System/AppDomain.cs:629
  at (wrapper remoting-invoke-with-check) System.AppDomain.ExecuteAssembly (string,System.Security.Policy.Evidence,string[]) <IL 0x0003b, 0xffffffff>
  at System.AppDomain.ExecuteAssembly (string) [0x00000] in /builddir/build/BUILD/mono-2.10.8/mcs/class/corlib/System/AppDomain.cs:612
  at (wrapper remoting-invoke-with-check) System.AppDomain.ExecuteAssembly (string) <IL 0x00039, 0xffffffff>
  at Booter.Booter.BootClient (string) [0x00000] in /builddir/build/BUILD/banshee-2.6.0/src/Clients/Booter/Booter/Entry.cs:112
  at Booter.Booter.Main () [0x000f1] in /builddir/build/BUILD/banshee-2.6.0/src/Clients/Booter/Booter/Entry.cs:105
  at (wrapper runtime-invoke) object.runtime_invoke_void (object,intptr,intptr,intptr) <IL 0x0004c, 0xffffffff>

Native stacktrace:

[10 Debug 22:27:12.395] Copying: /home/javier/.cache/media-art/album-8f9c579828ad61f5e3d180bdb62e18da.jpg 		 to: /home/javier/Descargas/Threshold/2012 March Of Progress (Limited Edition)/folder.jpg
	banshee() [0x496b29]
	banshee() [0x4e7b8f]
	banshee() [0x41dda7]
	/usr/lib64/libpthread.so.0(+0xf000) [0x7fb0e25ff000]
	/usr/lib64/libdbus-1.so.3() [0x3c8d427ccc]
	/usr/lib64/libdbus-1.so.3() [0x3c8d427d19]
	/usr/lib64/libdbus-1.so.3() [0x3c8d416ab2]
	/usr/lib64/libdbus-1.so.3() [0x3c8d416ee0]
	/usr/lib64/libdbus-1.so.3() [0x3c8d417024]
	/usr/lib64/libdbus-1.so.3() [0x3c8d416e6c]
	/usr/lib64/libdbus-1.so.3() [0x3c8d41735e]
	/usr/lib64/libdbus-1.so.3() [0x3c8d41746d]
	/usr/lib64/libdbus-1.so.3() [0x3c8d4142f8]
	/usr/lib64/libdbus-1.so.3() [0x3c8d41c02e]
	/usr/lib64/libdbus-1.so.3() [0x3c8d424422]
	/usr/lib64/libdbus-1.so.3() [0x3c8d424553]
	/usr/lib64/libdbus-1.so.3() [0x3c8d40c8b4]
	/usr/lib64/libdbus-1.so.3(dbus_connection_get_dispatch_status+0x2e) [0x3c8d40d43e]
	/usr/lib64/libdbus-glib-1.so.2() [0x3c9300ac83]
	/usr/lib64/libglib-2.0.so.0(g_main_context_prepare+0x168) [0x398a4475f8]
	/usr/lib64/libglib-2.0.so.0() [0x398a447c8b]
	/usr/lib64/libglib-2.0.so.0(g_main_loop_run+0x72) [0x398a4481c2]
	/usr/lib64/libgtk-x11-2.0.so.0(gtk_main+0xa7) [0x362bd4ab47]
	[0x410c2a55]

Debug info from gdb:

[10 Warn  22:27:12.406] Destination directory not found: /home/javier/Descargas/Threshold/2012 March Of Progress (Limited Edition)
[10 Debug 22:27:12.425] Finished - Saving Cover Art To Album folders
Mono support loaded.
Mono support loaded.
[New LWP 4943]
[New LWP 4942]
[New LWP 4941]
[New LWP 4939]
[New LWP 4937]
[New LWP 4936]
[New LWP 4934]
[New LWP 4933]
[New LWP 4932]
[New LWP 4931]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib64/libthread_db.so.1".
0x00007fb0e25fe12d in read () from /usr/lib64/libpthread.so.0
  Id   Target Id         Frame 
  11   Thread 0x7fb0dbe47700 (LWP 4931) "mono" 0x00007fb0e25fb5e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
  10   Thread 0x7fb0db646700 (LWP 4932) "mono" 0x00007fb0e25fb5e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
  9    Thread 0x7fb0dae45700 (LWP 4933) "mono" 0x00007fb0e25fb5e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
  8    Thread 0x7fb0da18d700 (LWP 4934) "mono" 0x00007fb0e25fd6a0 in sem_wait () from /usr/lib64/libpthread.so.0
  7    Thread 0x7fb0d3816700 (LWP 4936) "banshee" 0x00007fb0e25fb5e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
  6    Thread 0x7fb0d24a1700 (LWP 4937) "gdbus" 0x00007fb0e23217ed in poll () from /usr/lib64/libc.so.6
  5    Thread 0x7fb0caee1700 (LWP 4939) "threaded-ml" 0x00007fb0e23217ed in poll () from /usr/lib64/libc.so.6
  4    Thread 0x7fb0d0128700 (LWP 4941) "banshee" 0x00007fb0e25fe86d in nanosleep () from /usr/lib64/libpthread.so.0
  3    Thread 0x7fb0c9ca5700 (LWP 4942) "banshee" 0x00007fb0e25fe12d in read () from /usr/lib64/libpthread.so.0
  2    Thread 0x7fb0c9aa4700 (LWP 4943) "banshee" 0x00007fb0e25fe3ad in accept () from /usr/lib64/libpthread.so.0
* 1    Thread 0x7fb0e3133780 (LWP 4929) "banshee" 0x00007fb0e25fe12d in read () from /usr/lib64/libpthread.so.0

Thread 11 (Thread 0x7fb0dbe47700 (LWP 4931)):
#0  0x00007fb0e25fb5e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
#1  0x00000000005c5983 in GC_wait_marker ()
#2  0x00000000005cd485 in GC_help_marker ()
#3  0x00000000005c4077 in GC_mark_thread ()
#4  0x00007fb0e25f7d15 in start_thread () from /usr/lib64/libpthread.so.0
#5  0x00007fb0e232a2cd in clone () from /usr/lib64/libc.so.6

Thread 10 (Thread 0x7fb0db646700 (LWP 4932)):
#0  0x00007fb0e25fb5e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
#1  0x00000000005c5983 in GC_wait_marker ()
#2  0x00000000005cd485 in GC_help_marker ()
#3  0x00000000005c4077 in GC_mark_thread ()
#4  0x00007fb0e25f7d15 in start_thread () from /usr/lib64/libpthread.so.0
#5  0x00007fb0e232a2cd in clone () from /usr/lib64/libc.so.6

Thread 9 (Thread 0x7fb0dae45700 (LWP 4933)):
#0  0x00007fb0e25fb5e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
#1  0x00000000005c5983 in GC_wait_marker ()
#2  0x00000000005cd485 in GC_help_marker ()
#3  0x00000000005c4077 in GC_mark_thread ()
#4  0x00007fb0e25f7d15 in start_thread () from /usr/lib64/libpthread.so.0
#5  0x00007fb0e232a2cd in clone () from /usr/lib64/libc.so.6

Thread 8 (Thread 0x7fb0da18d700 (LWP 4934)):
#0  0x00007fb0e25fd6a0 in sem_wait () from /usr/lib64/libpthread.so.0
#1  0x00000000005b0748 in mono_sem_wait ()
#2  0x000000000054e08b in finalizer_thread ()
#3  0x0000000000530166 in start_wrapper ()
#4  0x00000000005abaea in thread_start_routine ()
#5  0x00000000005c5786 in GC_start_routine ()
#6  0x00007fb0e25f7d15 in start_thread () from /usr/lib64/libpthread.so.0
#7  0x00007fb0e232a2cd in clone () from /usr/lib64/libc.so.6

Thread 7 (Thread 0x7fb0d3816700 (LWP 4936)):
#0  0x00007fb0e25fb5e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
#1  0x00000000005a60eb in _wapi_handle_timedwait_signal_handle ()
#2  0x000000000059f82b in WaitForSingleObjectEx ()
#3  0x000000000052fa6b in ves_icall_System_Threading_WaitHandle_WaitOne_internal ()
#4  0x0000000040fe8918 in ?? ()
#5  0x00007fb0cc000e70 in ?? ()
#6  0x0000000040fe809a in ?? ()
#7  0x00007fb0d3815a97 in ?? ()
#8  0x00007fb0d8494910 in ?? ()
#9  0x00007fb0cc0008e0 in ?? ()
#10 0x00007fb0d3815ab0 in ?? ()
#11 0x00007fb0d3815a20 in ?? ()
#12 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fb0d24a1700 (LWP 4937)):
#0  0x00007fb0e23217ed in poll () from /usr/lib64/libc.so.6
#1  0x000000398a447d64 in g_main_context_iterate.isra.24 () from /usr/lib64/libglib-2.0.so.0
#2  0x000000398a4481c2 in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#3  0x0000003c8cccc446 in gdbus_shared_thread_func () from /usr/lib64/libgio-2.0.so.0
#4  0x000000398a46b615 in g_thread_proxy () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fb0e25f7d15 in start_thread () from /usr/lib64/libpthread.so.0
#6  0x00007fb0e232a2cd in clone () from /usr/lib64/libc.so.6

Thread 5 (Thread 0x7fb0caee1700 (LWP 4939)):
#0  0x00007fb0e23217ed in poll () from /usr/lib64/libc.so.6
#1  0x00007fb0cb331d5f in poll_func () from /usr/lib64/libpulse.so.0
#2  0x00007fb0cb3232bc in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#3  0x00007fb0cb323919 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00007fb0cb3239d0 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00007fb0cb331d0f in thread () from /usr/lib64/libpulse.so.0
#6  0x00000037ec642c73 in internal_thread_func () from /usr/lib64/pulseaudio/libpulsecommon-2.1.so
#7  0x00007fb0e25f7d15 in start_thread () from /usr/lib64/libpthread.so.0
#8  0x00007fb0e232a2cd in clone () from /usr/lib64/libc.so.6

Thread 4 (Thread 0x7fb0d0128700 (LWP 4941)):
#0  0x00007fb0e25fe86d in nanosleep () from /usr/lib64/libpthread.so.0
#1  0x00000000005aad75 in SleepEx ()
#2  0x00000000004fbcab in monitor_thread ()
#3  0x0000000000530166 in start_wrapper ()
#4  0x00000000005abaea in thread_start_routine ()
#5  0x00000000005c5786 in GC_start_routine ()
#6  0x00007fb0e25f7d15 in start_thread () from /usr/lib64/libpthread.so.0
#7  0x00007fb0e232a2cd in clone () from /usr/lib64/libc.so.6

Thread 3 (Thread 0x7fb0c9ca5700 (LWP 4942)):
#0  0x00007fb0e25fe12d in read () from /usr/lib64/libpthread.so.0
#1  0x0000000041e42737 in ?? ()
#2  0x00007fb0a8000c20 in ?? ()
#3  0x00007fb0c9ca4820 in ?? ()
#4  0x00007fb0d83a4ee0 in ?? ()
#5  0x00007fb0d3e86f00 in ?? ()
#6  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fb0c9aa4700 (LWP 4943)):
#0  0x00007fb0e25fe3ad in accept () from /usr/lib64/libpthread.so.0
#1  0x00000000005a723d in _wapi_accept ()
#2  0x00000000004f1253 in ves_icall_System_Net_Sockets_Socket_Accept_internal ()
#3  0x000000004157a3c3 in ?? ()
#4  0x00007fb09c000c20 in ?? ()
#5  0x00007fb0d8383f40 in ?? ()
#6  0x00007fb0d3eb15b0 in ?? ()
#7  0x00007fb0d8383f40 in ?? ()
#8  0x00007fb0d8383f40 in ?? ()
#9  0x00007fb0c9aa3ac0 in ?? ()
#10 0x00007fb0c9aa39a0 in ?? ()
#11 0x00007fb0d8383f40 in ?? ()
#12 0x00007fb0d3eb15b0 in ?? ()
#13 0x00007fb0d8383f40 in ?? ()
#14 0x00007fb0d3f7be60 in ?? ()
#15 0x000000004157a160 in ?? ()
#16 0x2e706f746b736564 in ?? ()
#17 0x0000000800730103 in ?? ()
#18 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fb0e3133780 (LWP 4929)):
#0  0x00007fb0e25fe12d in read () from /usr/lib64/libpthread.so.0
#1  0x0000000000496cbb in mono_handle_native_sigsegv ()
#2  0x00000000004e7b8f in mono_arch_handle_altstack_exception ()
#3  0x000000000041dda7 in mono_sigsegv_signal_handler ()
#4  <signal handler called>
#5  0x0000003c8d427ccc in _dbus_list_prepend () from /usr/lib64/libdbus-1.so.3
#6  0x0000003c8d427d19 in _dbus_list_append () from /usr/lib64/libdbus-1.so.3
#7  0x0000003c8d416ab2 in _dbus_validate_signature_with_reason () from /usr/lib64/libdbus-1.so.3
#8  0x0000003c8d416ee0 in validate_body_helper () from /usr/lib64/libdbus-1.so.3
#9  0x0000003c8d417024 in validate_body_helper () from /usr/lib64/libdbus-1.so.3
#10 0x0000003c8d416e6c in validate_body_helper () from /usr/lib64/libdbus-1.so.3
#11 0x0000003c8d41735e in validate_body_helper () from /usr/lib64/libdbus-1.so.3
#12 0x0000003c8d41746d in _dbus_validate_body_with_reason () from /usr/lib64/libdbus-1.so.3
#13 0x0000003c8d4142f8 in _dbus_header_load () from /usr/lib64/libdbus-1.so.3
#14 0x0000003c8d41c02e in _dbus_message_loader_queue_messages () from /usr/lib64/libdbus-1.so.3
#15 0x0000003c8d424422 in _dbus_transport_get_dispatch_status () from /usr/lib64/libdbus-1.so.3
#16 0x0000003c8d424553 in _dbus_transport_queue_messages () from /usr/lib64/libdbus-1.so.3
#17 0x0000003c8d40c8b4 in _dbus_connection_get_dispatch_status_unlocked () from /usr/lib64/libdbus-1.so.3
#18 0x0000003c8d40d43e in dbus_connection_get_dispatch_status () from /usr/lib64/libdbus-1.so.3
#19 0x0000003c9300ac83 in message_queue_prepare () from /usr/lib64/libdbus-glib-1.so.2
#20 0x000000398a4475f8 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#21 0x000000398a447c8b in g_main_context_iterate.isra.24 () from /usr/lib64/libglib-2.0.so.0
#22 0x000000398a4481c2 in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#23 0x000000362bd4ab47 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#24 0x00000000410c2a55 in ?? ()
#25 0x00007fff1bef2bd0 in ?? ()
#26 0x00007fb0e2fc5ea8 in ?? ()
#27 0x0000000000000000 in ?? ()

=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================

Abortado (`core' generado)
Comment 1 javiermon 2012-10-16 16:32:49 EDT
This didn't happen on Fedora 17, and I've seen this behaviour ever since I've updated to Fedora 18.
Comment 2 javiermon 2012-10-16 16:45:20 EDT
I've disabled the album art writer extension but I'm still having crashes:

banshee --debug
** Running Mono with --debug   **
[1 Debug 22:42:02.552] Bus.Session.RequestName ('org.bansheeproject.Banshee') replied with PrimaryOwner
[1 Info  22:42:02.580] Running Banshee 2.6.0: [Fedora18-2.6.0-1.fc18 (linux-gnu, x86_64) @ 2012-10-11 14:00:36 UTC]
[1 Debug 22:42:02.605] Initializing GTK
[1 Debug 22:42:03.763] Post-Initializing GTK
[1 Debug 22:42:03.788] Configuration client extension loaded (Banshee.GnomeBackend.GConfConfigurationClient)
[1 Debug 22:42:03.799] Using default gconf-base-key
[1 Debug 22:42:03.958] Core service started (DBusServiceManager, 0,002654)
[1 Debug 22:42:03.963] Registering remote object /org/bansheeproject/Banshee/DBusCommandService (Banshee.ServiceStack.DBusCommandService) on org.bansheeproject.Banshee
[1 Debug 22:42:03.974] Core service started (DBusCommandService, 0,014871)
[1 Debug 22:42:04.016] Opened SQLite (version 3.7.13) connection to /home/javier/.config/banshee-1/banshee.db
[1 Debug 22:42:04.017] Core service started (DbConnection, 0,042473)
[1 Debug 22:42:04.028] Database version 45 is up to date
[1 Debug 22:42:04.075] Core service started (PreferenceService, 0,025147)
[1 Debug 22:42:04.088] Core service started (Network, 0,012682)
[1 Debug 22:42:04.090] Registering remote object /org/bansheeproject/Banshee/SourceManager (Banshee.Sources.SourceManager) on org.bansheeproject.Banshee
[1 Debug 22:42:04.090] Core service started (SourceManager, 0,001642)
[1 Debug 22:42:04.098] Core service started (MediaProfileManager, 0,000395)
[1 Debug 22:42:04.103] Registering remote object /org/bansheeproject/Banshee/PlayerEngine (Banshee.MediaEngine.PlayerEngineService) on org.bansheeproject.Banshee
[1 Debug 22:42:04.107] Core service started (PlayerEngine, 0,00917)
[1 Debug 22:42:04.141] Registering remote object /org/bansheeproject/Banshee/PlaybackController (Banshee.PlaybackController.PlaybackControllerService) on org.bansheeproject.Banshee
[1 Debug 22:42:04.143] Core service started (PlaybackController, 0,005891)
[1 Debug 22:42:04.154] Starting - Startup Job
[1 Debug 22:42:04.156] Core service started (JobScheduler, 0,012166)
[1 Debug 22:42:04.172] IO provider extension loaded (Banshee.IO.Gio.Provider)
[1 Debug 22:42:04.258] Loaded HardwareManager backend: Banshee.Hardware.Gio
[1 Debug 22:42:04.261] Core service started (HardwareManager, 0,105036)
[1 Debug 22:42:04.263] Bus.Session.RequestName ('org.bansheeproject.CollectionIndexer') replied with PrimaryOwner
[1 Debug 22:42:04.265] Registering remote object /org/bansheeproject/Banshee/CollectionIndexerService (Banshee.Collection.Indexer.CollectionIndexerService) on org.bansheeproject.CollectionIndexer
[1 Debug 22:42:04.268] Core service started (CollectionIndexerService, 0,007041)
[1 Debug 22:42:04.271] Core service started (SaveTrackMetadataService, 0,002816)
[1 Debug 22:42:04.286] Adding icon theme search path: /usr/share/banshee/icons
[1 Debug 22:42:04.287] Core service started (GtkElementsService, 0,016294)
[1 Debug 22:42:04.291] Core service started (InterfaceActionService, 0,003444)
[1 Debug 22:42:04.481] Extension actions loaded: MetadataFixActions
[1 Debug 22:42:04.482] Registering remote object /org/bansheeproject/Banshee/GlobalUIActions (Banshee.Gui.GlobalActions) on org.bansheeproject.Banshee
[1 Debug 22:42:04.484] Album artwork path set to /home/javier/.cache/media-art
[1 Debug 22:42:04.507] Core service started (ArtworkManager, 0,024934)
[1 Debug 22:42:04.507] Core service started (BookmarksService, 0,000261)
[1 Debug 22:42:04.706] Adding context page lastfm-recommendations
[1 Debug 22:42:04.916] Constructed Nereid interface: 0,363094
[1 Debug 22:42:04.985] Creating new surface cache for 90px images, capped at 0,87 MiB (28 items)
[1 Debug 22:42:05.031] Registering remote object /org/bansheeproject/Banshee/ClientWindow (Nereid.PlayerInterface) on org.bansheeproject.Banshee
[1 Debug 22:42:05.031] Core service started (NereidPlayerInterface, 0,508378)
[1 Debug 22:42:05.035] Extension service started (DapService, 0,002742)
[1 Debug 22:42:05.062] Audioscrobbler state: connected
[1 Debug 22:42:05.066] Extension service started (AudioscrobblerService, 0,030033)
[1 Debug 22:42:05.068] Extension service started (CoverArtService, 0,001966)
[1 Debug 22:42:05.103] Extension service started (NotificationAreaService, 0,034695)
[1 Debug 22:42:05.106] Using GNOME 2.22 API for Multimedia Keys
[1 Debug 22:42:05.106] Extension service started (MultimediaKeysService, 0,003698)
[1 Debug 22:42:05.107] Extension service started (DaapService, 0,000817)
[1 Debug 22:42:05.112] Extension service started (MiniModeService, 0,00501)
[1 Info  22:42:05.115] Updating web proxy from GConf
[1 Debug 22:42:05.120] Direct connection, no proxy in use
[1 Debug 22:42:05.130] Extension service started (GnomeService, 0,017551)
[1 Debug 22:42:05.135] Extension service started (BpmService, 0,004523)
[1 Debug 22:42:05.153] Extension service started (GStreamerCoreService, 0,018315)
[1 Debug 22:42:05.164] Extension service started (AudioCdService, 0,010686)
[1 Debug 22:42:05.165] Extension service started (DvdService, 0,000763)
[1 Info  22:42:05.165] All services are started 1,312532
[1 Debug 22:42:05.720] Creating Pango.Layout, configuring Cairo.Context
[1 Debug 22:42:06.042] Extension source loaded: Last.fm
[1 Debug 22:42:06.181] Extension source loaded: Cola del sistema de archivos
[1 Debug 22:42:06.200] Extension source loaded: Radio
[1 Debug 22:42:06.205] Extension source loaded: En reproducción
[1 Debug 22:42:06.474] Registering remote object /org/bansheeproject/Banshee/SourceManager/PlayQueue (Banshee.PlayQueue.PlayQueueSource) on org.bansheeproject.Banshee
[1 Debug 22:42:06.474] Extension source loaded: Cola de reproducción
[1 Debug 22:42:06.483] Starting GTK main loop
[1 Debug 22:42:06.651] Creating Pango.Layout, configuring Cairo.Context
[1 Info  22:42:06.808] nereid Client Started
[1 Debug 22:42:06.812] Delayed Initializating Banshee.MediaEngine.PlayerEngineService
[1 Debug 22:42:06.859] (libbanshee:player) Audiosink has volume: YES
[1 Debug 22:42:06.890] (libbanshee:player) Using system (gst-plugins-good) equalizer element
[1 Debug 22:42:06.971] Player state change: NotReady -> Ready
[1 Debug 22:42:06.979] Loaded equalizer presets: 0,000426
[1 Debug 22:42:06.988] Selected equalizer: Rock
[1 Debug 22:42:06.995] Player state change: Ready -> Idle
[1 Debug 22:42:07.001] (libbanshee:player) Disabled ReplayGain
[1 Info  22:42:07.004] GStreamer version 0.10.36.0, gapless: True, replaygain: False
[1 Debug 22:42:07.009] Delayed Initializating Banshee.Dap.DapService
[1 Debug 22:42:07.020] Dap support extension loaded: Banshee.Dap.MassStorage
[1 Debug 22:42:07.021] Dap support extension loaded: Banshee.Dap.Mtp
[1 Debug 22:42:07.022] Dap support extension loaded: Banshee.Dap.AppleDevice
[1 Debug 22:42:07.024] Delayed Initializating Banshee.Daap.DaapService
[8 Debug 22:42:07.188] DAAP Proxy listening for connections on port 8089
[1 Debug 22:42:08.030] Finished - Startup Job
[1 Debug 22:42:08.037] Starting - Descargando portadas
[9 Debug 22:42:08.045] Finished - Descargando portadas
[1 Debug 22:42:12.604] Starting
[11 Debug 22:42:18.199] Finished - Reanalizando 3503 de 3503
[11 Debug 22:42:18.199] Starting - Guardando los metadatos en el archivo
[11 Debug 22:42:18.200] Finished - Reanalizando 3503 de 3503
[12 Debug 22:42:18.202] Finished - Guardando los metadatos en el archivo

(Banshee:5269): GConf-WARNING **: Got Disconnected from DBus.

Stacktrace:

  at (wrapper managed-to-native) Gtk.Application.gtk_main () <IL 0x0000e, 0xffffffff>
  at Gtk.Application.Run () <IL 0x00000, 0x0000b>
  at Banshee.Gui.GtkBaseClient.Run () [0x00000] in /builddir/build/BUILD/banshee-2.6.0/src/Core/Banshee.ThickClient/Banshee.Gui/GtkBaseClient.cs:207
  at Banshee.Gui.GtkBaseClient.Startup () [0x00000] in /builddir/build/BUILD/banshee-2.6.0/src/Core/Banshee.ThickClient/Banshee.Gui/GtkBaseClient.cs:82
  at Hyena.Gui.CleanRoomStartup.Startup (Hyena.Gui.CleanRoomStartup/StartupInvocationHandler) [0x00044] in /builddir/build/BUILD/banshee-2.6.0/src/Hyena/Hyena.Gui/Hyena.Gui/CleanRoomStartup.cs:54
  at Banshee.Gui.GtkBaseClient.Startup<T> () [0x00024] in /builddir/build/BUILD/banshee-2.6.0/src/Core/Banshee.ThickClient/Banshee.Gui/GtkBaseClient.cs:77
  at Banshee.Gui.GtkBaseClient.Startup<T> (string[]) [0x0004d] in /builddir/build/BUILD/banshee-2.6.0/src/Core/Banshee.ThickClient/Banshee.Gui/GtkBaseClient.cs:67
  at Nereid.Client.Main (string[]) [0x00000] in /builddir/build/BUILD/banshee-2.6.0/src/Clients/Nereid/Nereid/Client.cs:54
  at (wrapper runtime-invoke) <Module>.runtime_invoke_void_object (object,intptr,intptr,intptr) <IL 0x00050, 0xffffffff>
  at (wrapper managed-to-native) System.AppDomain.ExecuteAssembly (System.AppDomain,System.Reflection.Assembly,string[]) <IL 0x0001b, 0xffffffff>
  at System.AppDomain.ExecuteAssemblyInternal (System.Reflection.Assembly,string[]) [0x00026] in /builddir/build/BUILD/mono-2.10.8/mcs/class/corlib/System/AppDomain.cs:660
  at System.AppDomain.ExecuteAssembly (string,System.Security.Policy.Evidence,string[]) [0x00008] in /builddir/build/BUILD/mono-2.10.8/mcs/class/corlib/System/AppDomain.cs:629
  at (wrapper remoting-invoke-with-check) System.AppDomain.ExecuteAssembly (string,System.Security.Policy.Evidence,string[]) <IL 0x0003b, 0xffffffff>
  at System.AppDomain.ExecuteAssembly (string) [0x00000] in /builddir/build/BUILD/mono-2.10.8/mcs/class/corlib/System/AppDomain.cs:612
  at (wrapper remoting-invoke-with-check) System.AppDomain.ExecuteAssembly (string) <IL 0x00039, 0xffffffff>
  at Booter.Booter.BootClient (string) [0x00000] in /builddir/build/BUILD/banshee-2.6.0/src/Clients/Booter/Booter/Entry.cs:112
  at Booter.Booter.Main () [0x000f1] in /builddir/build/BUILD/banshee-2.6.0/src/Clients/Booter/Booter/Entry.cs:105
  at (wrapper runtime-invoke) object.runtime_invoke_void (object,intptr,intptr,intptr) <IL 0x0004c, 0xffffffff>

Native stacktrace:

	banshee() [0x496b29]
	banshee() [0x4e7b8f]
	banshee() [0x41dda7]
	/usr/lib64/libpthread.so.0(+0xf000) [0x7f158b1e8000]
	/usr/lib64/libdbus-1.so.3() [0x3c8d4294c0]
	/usr/lib64/libdbus-1.so.3() [0x3c8d427b7f]
	/usr/lib64/libdbus-1.so.3() [0x3c8d427f8c]
	/usr/lib64/libdbus-1.so.3() [0x3c8d40de62]
	/usr/lib64/libdbus-glib-1.so.2() [0x3c9300ac5d]
	/usr/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x135) [0x398a447a95]
	/usr/lib64/libglib-2.0.so.0() [0x398a447dc8]
	/usr/lib64/libglib-2.0.so.0(g_main_loop_run+0x72) [0x398a4481c2]
	/usr/lib64/libgtk-x11-2.0.so.0(gtk_main+0xa7) [0x362bd4ab47]
	[0x41950205]

Debug info from gdb:


(Banshee:5269): GConf-WARNING **: The connection to DBus was broken. Can't reinitialize it.
[11 Warn  22:42:18.811] Could not read GConf key sources.MusicLibrarySource-Library.current_filters - GLib.GException: El demonio de D-Bus no está en ejecución
 (in `gconf-sharp')
  at GConf.Client.Get (System.String key) [0x00000] in <filename unknown>:0 
  at Banshee.GnomeBackend.GConfConfigurationClient.TryGet[String[]] (System.String namespace, System.String key, System.String[]& result) [0x00037] in /builddir/build/BUILD/banshee-2.6.0/src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GConfConfigurationClient.cs:117 

(Banshee:5269): GConf-WARNING **: The connection to DBus was broken. Can't reinitialize it.
[11 Warn  22:42:18.877] Could not read GConf key sources.MusicLibrarySource-Library.separate_by_type - GLib.GException: El demonio de D-Bus no está en ejecución
 (in `gconf-sharp')
  at GConf.Client.Get (System.String key) [0x00000] in <filename unknown>:0 
  at Banshee.GnomeBackend.GConfConfigurationClient.TryGet[Boolean] (System.String namespace, System.String key, System.Boolean& result) [0x00037] in /builddir/build/BUILD/banshee-2.6.0/src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GConfConfigurationClient.cs:117 

(Banshee:5269): GConf-WARNING **: The connection to DBus was broken. Can't reinitialize it.
[11 Warn  22:42:18.912] Could not read GConf key sources.MusicLibrarySource-Library.separate_by_type - GLib.GException: El demonio de D-Bus no está en ejecución
 (in `gconf-sharp')
  at GConf.Client.Get (System.String key) [0x00000] in <filename unknown>:0 
  at Banshee.GnomeBackend.GConfConfigurationClient.TryGet[Boolean] (System.String namespace, System.String key, System.Boolean& result) [0x00037] in /builddir/build/BUILD/banshee-2.6.0/src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GConfConfigurationClient.cs:117 

(Banshee:5269): GConf-WARNING **: The connection to DBus was broken. Can't reinitialize it.
[11 Warn  22:42:18.921] Could not read GConf key sources.MusicLibrarySource-Library.current_filters - GLib.GException: El demonio de D-Bus no está en ejecución
 (in `gconf-sharp')
  at GConf.Client.Get (System.String key) [0x00000] in <filename unknown>:0 
  at Banshee.GnomeBackend.GConfConfigurationClient.TryGet[String[]] (System.String namespace, System.String key, System.String[]& result) [0x00037] in /builddir/build/BUILD/banshee-2.6.0/src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GConfConfigurationClient.cs:117 
Mono support loaded.
Mono support loaded.
[New LWP 5286]
[New LWP 5285]
[New LWP 5283]
[New LWP 5282]
[New LWP 5281]
[New LWP 5279]
[New LWP 5277]
[New LWP 5276]
[New LWP 5274]
[New LWP 5273]
[New LWP 5272]
[New LWP 5271]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib64/libthread_db.so.1".
0x00007f158b1e712d in read () from /usr/lib64/libpthread.so.0
  Id   Target Id         Frame 
  13   Thread 0x7f1584a30700 (LWP 5271) "mono" 0x00007f158b1e45e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
  12   Thread 0x7f158422f700 (LWP 5272) "mono" 0x00007f158b1e45e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
  11   Thread 0x7f1583a2e700 (LWP 5273) "mono" 0x00007f158b1e45e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
  10   Thread 0x7f1582d76700 (LWP 5274) "mono" 0x00007f158b1e66a0 in sem_wait () from /usr/lib64/libpthread.so.0
  9    Thread 0x7f1580405700 (LWP 5276) "banshee" 0x000000399f418792 in sqlite3PcacheRelease () from /usr/lib64/libsqlite3.so.0
  8    Thread 0x7f157af2f700 (LWP 5277) "gdbus" 0x00007f158af0a7ed in poll () from /usr/lib64/libc.so.6
  7    Thread 0x7f156bb17700 (LWP 5279) "threaded-ml" 0x00007f158af0a7ed in poll () from /usr/lib64/libc.so.6
  6    Thread 0x7f156a8db700 (LWP 5281) "banshee" 0x00007f158b1e786d in nanosleep () from /usr/lib64/libpthread.so.0
  5    Thread 0x7f156a89a700 (LWP 5282) "banshee" 0x00007f158b1e712d in read () from /usr/lib64/libpthread.so.0
  4    Thread 0x7f156a699700 (LWP 5283) "banshee" 0x00007f158b1e73ad in accept () from /usr/lib64/libpthread.so.0
  3    Thread 0x7f156aadc700 (LWP 5285) "banshee" 0x00007f158b1e6780 in sem_timedwait () from /usr/lib64/libpthread.so.0
  2    Thread 0x7f156a498700 (LWP 5286) "banshee" 0x00007f158b1e45e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
* 1    Thread 0x7f158bd1c780 (LWP 5269) "banshee" 0x00007f158b1e712d in read () from /usr/lib64/libpthread.so.0

Thread 13 (Thread 0x7f1584a30700 (LWP 5271)):
#0  0x00007f158b1e45e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
#1  0x00000000005c5983 in GC_wait_marker ()
#2  0x00000000005cd485 in GC_help_marker ()
#3  0x00000000005c4077 in GC_mark_thread ()
#4  0x00007f158b1e0d15 in start_thread () from /usr/lib64/libpthread.so.0
#5  0x00007f158af132cd in clone () from /usr/lib64/libc.so.6

Thread 12 (Thread 0x7f158422f700 (LWP 5272)):
#0  0x00007f158b1e45e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
#1  0x00000000005c5983 in GC_wait_marker ()
#2  0x00000000005cd485 in GC_help_marker ()
#3  0x00000000005c4077 in GC_mark_thread ()
#4  0x00007f158b1e0d15 in start_thread () from /usr/lib64/libpthread.so.0
#5  0x00007f158af132cd in clone () from /usr/lib64/libc.so.6

Thread 11 (Thread 0x7f1583a2e700 (LWP 5273)):
#0  0x00007f158b1e45e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
#1  0x00000000005c5983 in GC_wait_marker ()
#2  0x00000000005cd485 in GC_help_marker ()
#3  0x00000000005c4077 in GC_mark_thread ()
#4  0x00007f158b1e0d15 in start_thread () from /usr/lib64/libpthread.so.0
#5  0x00007f158af132cd in clone () from /usr/lib64/libc.so.6

Thread 10 (Thread 0x7f1582d76700 (LWP 5274)):
#0  0x00007f158b1e66a0 in sem_wait () from /usr/lib64/libpthread.so.0
#1  0x00000000005b0748 in mono_sem_wait ()
#2  0x000000000054e08b in finalizer_thread ()
#3  0x0000000000530166 in start_wrapper ()
#4  0x00000000005abaea in thread_start_routine ()
#5  0x00000000005c5786 in GC_start_routine ()
#6  0x00007f158b1e0d15 in start_thread () from /usr/lib64/libpthread.so.0
#7  0x00007f158af132cd in clone () from /usr/lib64/libc.so.6

Thread 9 (Thread 0x7f1580405700 (LWP 5276)):
#0  0x000000399f418792 in sqlite3PcacheRelease () from /usr/lib64/libsqlite3.so.0
#1  0x000000399f44ef9f in sqlite3PagerUnref () from /usr/lib64/libsqlite3.so.0
#2  0x000000399f453cad in balance () from /usr/lib64/libsqlite3.so.0
#3  0x000000399f4577cf in sqlite3BtreeInsert () from /usr/lib64/libsqlite3.so.0
#4  0x000000399f483ec1 in sqlite3VdbeExec () from /usr/lib64/libsqlite3.so.0
#5  0x000000399f466c31 in sqlite3_step () from /usr/lib64/libsqlite3.so.0
#6  0x000000399f46c4e5 in sqlite3_exec () from /usr/lib64/libsqlite3.so.0
#7  0x0000000041218d7b in ?? ()
#8  0x00007f1574000e70 in ?? ()
#9  0x00000000404cdc7e in ?? ()
#10 0x00007f15740008e0 in ?? ()
#11 0x00007f1580404ab0 in ?? ()
#12 0x00007f15740008e0 in ?? ()
#13 0x00007f1580404ab0 in ?? ()
#14 0x00007f1580404930 in ?? ()
#15 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f157af2f700 (LWP 5277)):
#0  0x00007f158af0a7ed in poll () from /usr/lib64/libc.so.6
#1  0x000000398a447d64 in g_main_context_iterate.isra.24 () from /usr/lib64/libglib-2.0.so.0
#2  0x000000398a4481c2 in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#3  0x0000003c8cccc446 in gdbus_shared_thread_func () from /usr/lib64/libgio-2.0.so.0
#4  0x000000398a46b615 in g_thread_proxy () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f158b1e0d15 in start_thread () from /usr/lib64/libpthread.so.0
#6  0x00007f158af132cd in clone () from /usr/lib64/libc.so.6

Thread 7 (Thread 0x7f156bb17700 (LWP 5279)):
#0  0x00007f158af0a7ed in poll () from /usr/lib64/libc.so.6
#1  0x00007f1578052d5f in poll_func () from /usr/lib64/libpulse.so.0
#2  0x00007f15780442bc in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#3  0x00007f1578044919 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00007f15780449d0 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00007f1578052d0f in thread () from /usr/lib64/libpulse.so.0
#6  0x00000037ec642c73 in internal_thread_func () from /usr/lib64/pulseaudio/libpulsecommon-2.1.so
#7  0x00007f158b1e0d15 in start_thread () from /usr/lib64/libpthread.so.0
#8  0x00007f158af132cd in clone () from /usr/lib64/libc.so.6

Thread 6 (Thread 0x7f156a8db700 (LWP 5281)):
#0  0x00007f158b1e786d in nanosleep () from /usr/lib64/libpthread.so.0
#1  0x00000000005aad75 in SleepEx ()
#2  0x00000000004fbcab in monitor_thread ()
#3  0x0000000000530166 in start_wrapper ()
#4  0x00000000005abaea in thread_start_routine ()
#5  0x00000000005c5786 in GC_start_routine ()
#6  0x00007f158b1e0d15 in start_thread () from /usr/lib64/libpthread.so.0
#7  0x00007f158af132cd in clone () from /usr/lib64/libc.so.6

Thread 5 (Thread 0x7f156a89a700 (LWP 5282)):
#0  0x00007f158b1e712d in read () from /usr/lib64/libpthread.so.0
#1  0x0000000040850607 in ?? ()
#2  0x00007f1554000c20 in ?? ()
#3  0x00007f156a899820 in ?? ()
#4  0x00007f1580f39d20 in ?? ()
#5  0x00007f1580f3ff00 in ?? ()
#6  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f156a699700 (LWP 5283)):
#0  0x00007f158b1e73ad in accept () from /usr/lib64/libpthread.so.0
#1  0x00000000005a723d in _wapi_accept ()
#2  0x00000000004f1253 in ves_icall_System_Net_Sockets_Socket_Accept_internal ()
#3  0x000000004002f373 in ?? ()
#4  0x00007f1548000c20 in ?? ()
#5  0x00007f1580afeb40 in ?? ()
#6  0x00007f1580f6a5b0 in ?? ()
#7  0x00007f1580afeb40 in ?? ()
#8  0x00007f1580afeb40 in ?? ()
#9  0x00007f156a698ac0 in ?? ()
#10 0x00007f156a6989a0 in ?? ()
#11 0x00007f1580afeb40 in ?? ()
#12 0x00007f1580f6a5b0 in ?? ()
#13 0x00007f1580afeb40 in ?? ()
#14 0x00007f158095ddc0 in ?? ()
#15 0x000000004002f110 in ?? ()
#16 0x00000015006f0101 in ?? ()
#17 0x00007f155801c840 in ?? ()
#18 0x00007f155801c658 in ?? ()
#19 0x00007f15808486c0 in ?? ()
#20 0x00007f15808486c0 in ?? ()
#21 0x00007f15808486c0 in ?? ()
#22 0x00007f1580afeb40 in ?? ()
#23 0x00007f156a698840 in ?? ()
#24 0x00007f156a698b40 in ?? ()
#25 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f156aadc700 (LWP 5285)):
#0  0x00007f158b1e6780 in sem_timedwait () from /usr/lib64/libpthread.so.0
#1  0x00000000005b082b in mono_sem_timedwait ()
#2  0x00000000004fe20f in async_invoke_thread ()
#3  0x0000000000530166 in start_wrapper ()
#4  0x00000000005abaea in thread_start_routine ()
#5  0x00000000005c5786 in GC_start_routine ()
#6  0x00007f158b1e0d15 in start_thread () from /usr/lib64/libpthread.so.0
#7  0x00007f158af132cd in clone () from /usr/lib64/libc.so.6

Thread 2 (Thread 0x7f156a498700 (LWP 5286)):
#0  0x00007f158b1e45e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
#1  0x00000000005a60eb in _wapi_handle_timedwait_signal_handle ()
#2  0x000000000059f82b in WaitForSingleObjectEx ()
#3  0x000000000052fa6b in ves_icall_System_Threading_WaitHandle_WaitOne_internal ()
#4  0x00000000412149a8 in ?? ()
#5  0x00007f154c000c20 in ?? ()
#6  0x00007f1580a5fdc0 in ?? ()
#7  0x00007f156a4972e7 in ?? ()
#8  0x00007f1581050078 in ?? ()
#9  0x00007f158094db00 in ?? ()
#10 0x00007f156a497300 in ?? ()
#11 0x00007f156a497270 in ?? ()
#12 0x0000000000000001 in ?? ()
#13 0x00007f1580b18d20 in ?? ()
#14 0x00007f1580bb2b40 in ?? ()
#15 0x00007f1580a5fdc0 in ?? ()
#16 0x00000000412146cc in ?? ()
#17 0x00007f1580ce42f8 in ?? ()
#18 0x00007f1580ce42f8 in ?? ()
#19 0x01007f1580bb2b40 in ?? ()
#20 0x00007f1580ce4398 in ?? ()
#21 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f158bd1c780 (LWP 5269)):
#0  0x00007f158b1e712d in read () from /usr/lib64/libpthread.so.0
#1  0x0000000000496cbb in mono_handle_native_sigsegv ()
#2  0x00000000004e7b8f in mono_arch_handle_altstack_exception ()
#3  0x000000000041dda7 in mono_sigsegv_signal_handler ()
#4  <signal handler called>
#5  0x0000003c8d4294c0 in _dbus_mem_pool_dealloc () from /usr/lib64/libdbus-1.so.3
#6  0x0000003c8d427b7f in free_link () from /usr/lib64/libdbus-1.so.3
#7  0x0000003c8d427f8c in _dbus_list_remove () from /usr/lib64/libdbus-1.so.3
#8  0x0000003c8d40de62 in _dbus_connection_last_unref () from /usr/lib64/libdbus-1.so.3
#9  0x0000003c9300ac5d in message_queue_dispatch () from /usr/lib64/libdbus-glib-1.so.2
#10 0x000000398a447a95 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#11 0x000000398a447dc8 in g_main_context_iterate.isra.24 () from /usr/lib64/libglib-2.0.so.0
#12 0x000000398a4481c2 in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#13 0x000000362bd4ab47 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#14 0x0000000041950205 in ?? ()
#15 0x00007fff378e4740 in ?? ()
#16 0x00007f158bbaeea8 in ?? ()
#17 0x0000000000000000 in ?? ()

=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================

Abortado (`core' generado)
Comment 3 Kalev Lember 2012-10-18 07:39:36 EDT
I don't know much about Banshee, but these crashes seem to be related to dbus and threading. A likely candidate is https://bugzilla.gnome.org/show_bug.cgi?id=683830
Comment 4 javiermon 2012-10-19 05:20:27 EDT
Yes, sounds like that bug could be the culprit. This should affect many more programs (fspot, tomboy, etc...).
Comment 5 javiermon 2012-11-02 13:07:39 EDT
If I try to run:
banshee --disable-dbus
crashes still occur. So, not sure if the bug is in dbus.
Comment 6 javiermon 2012-11-25 16:03:33 EST
Hi

There has been a patch in ubuntu to fix the crashers:

https://bugs.launchpad.net/ubuntu/+source/banshee/+bug/1048341

and here:

https://mail.gnome.org/archives/banshee-list/2012-November/msg00064.html

they seem to confirm it fixes it.

Can we have this applied in fedora?

thanks,
Comment 7 Kalev Lember 2012-11-25 16:53:20 EST
Right, so it's the same gconf/dbus issue that is tracked at https://bugzilla.gnome.org/show_bug.cgi?id=683830
Looks like the involved people are still unsure how to best fix this. Once it's figured out upstream we can backport the patch to Fedora gconf package, but meanwhile it's best to continue the discussion in the upstream ticket.
Comment 8 Boyd 2012-12-26 20:04:51 EST
Hopefully this patch can be applied in fedora 18 for imminent release?
Comment 9 Michael Knepher 2013-01-16 12:44:16 EST
If upstream does not figure out a way to fix this in a timely manner (and the discussion at https://bugzilla.gnome.org/show_bug.cgi?id=683830 seems to indicate the likelihood of an upstream fix is slim), will banshee just be unusable for the indefinite future?
Comment 10 n3ver 2013-01-18 17:38:17 EST
Workaround:

banshee does not crash on requesting next track when ALL of 

the following extensions from section "core" are deactivated:

* filesystem queue (Dateisystem-Warteschlange)
* audiobook library (Hörbücher-Bibliothek)
* Internet-Radio
* Podcasts

despite of broke DBUS connections:

(Banshee:12998): GConf-WARNING **: The connection to DBus was broken. Can't reinitialize it.
[30 Warn  23:33:53.631] Could not read GConf key library.write_metadata - GLib.GException: D-BUS-Hintergrunddienst (background service) läuft nicht
 (in `gconf-sharp')
  at GConf.Client.Get (System.String key) [0x00000] in <filename unknown>:0 
  at Banshee.GnomeBackend.GConfConfigurationClient.TryGet[Boolean] (System.String namespace, System.String key, System.Boolean& result) [0x00037] in /builddir/build/BUILD/banshee-2.6.0/src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GConfConfigurationClient.cs:117
Comment 11 javiermon 2013-01-19 04:44:01 EST
Hi

The workaround doesn't work here. I still manage to crash banshee. One suggestion, if the ubuntu gconf patch is not properly accepted could gtk# be compiled with a patched gconf as a local copy or statically? 

I understand that having a library included like that brings it's own problems but having banshee broken (and I'm sure this affects other gtk# apps) is not good either.

thanks,
Comment 12 mbcm94 2013-01-19 16:16:09 EST
I gave up Banshee and started using Amarok, some minute later I realised that Banshee was not crashing anymore. I removed Amarok and the problem got back. I don't know what the issue exactly is or where it come from, but when i installed just some Amarok's dependencies it was solved. 
This ones: 
ifuse.x86_64 0:1.1.2-2.fc18
libkcddb.x86_64 0:4.9.5-1.fc18
libkcompactdisc.x86_64 0:4.9.5-1.fc18
liblastfm.x86_64 0:1.0.3-1.fc18    
libmtp.x86_64 0:1.1.5-2.fc18

I hope it help you. Sorry for the bad english this is not my main laguage.
Comment 13 brice 2013-01-20 12:00:55 EST
thanks, for gnome, to solve the prolem, i've installed:
ifuse
liblastfm
Comment 14 GeekGirl1 2013-01-21 20:46:13 EST
I have a clean install of Fedora 18, XFCE only (no Gnome). Banshee is crashing consistently shortly after starting to import Media. I think some Gnome dependencies are missing from the rpm installation.

Below is the log file created with $>banshee --debug.

I have not tried brice's solution, so you can see the released package installation result.

** Running Mono with --debug   **
[1 Debug 20:15:20.236] Bus.Session.RequestName ('org.bansheeproject.Banshee') replied with PrimaryOwner
[1 Info  20:15:20.247] Running Banshee 2.6.0: [Fedora18-2.6.0-1.fc18 (linux-gnu, x86_64) @ 2012-10-11 14:00:36 UTC]
[1 Debug 20:15:20.257] Initializing GTK
[1 Debug 20:15:20.797] Post-Initializing GTK
[1 Debug 20:15:20.804] Configuration client extension loaded (Banshee.GnomeBackend.GConfConfigurationClient)
[1 Debug 20:15:20.807] Using default gconf-base-key
[1 Debug 20:15:20.852] Core service started (DBusServiceManager, 0.000793)
[1 Debug 20:15:20.854] Registering remote object /org/bansheeproject/Banshee/DBusCommandService (Banshee.ServiceStack.DBusCommandService) on org.bansheeproject.Banshee
[1 Debug 20:15:20.858] Core service started (DBusCommandService, 0.005148)
[1 Debug 20:15:20.872] Opened SQLite (version 3.7.13) connection to /home/default/.config/banshee-1/banshee.db
[1 Debug 20:15:20.872] Core service started (DbConnection, 0.014569)
[1 Debug 20:15:20.876] Database version 45 is up to date
[1 Debug 20:15:20.894] Core service started (PreferenceService, 0.007919)
[1 Debug 20:15:20.899] Core service started (Network, 0.004983)
[1 Debug 20:15:20.899] Registering remote object /org/bansheeproject/Banshee/SourceManager (Banshee.Sources.SourceManager) on org.bansheeproject.Banshee
[1 Debug 20:15:20.899] Core service started (SourceManager, 0.000608)
[1 Debug 20:15:20.904] Core service started (MediaProfileManager, 0.000304)
[1 Debug 20:15:20.906] Registering remote object /org/bansheeproject/Banshee/PlayerEngine (Banshee.MediaEngine.PlayerEngineService) on org.bansheeproject.Banshee
[1 Debug 20:15:20.907] Core service started (PlayerEngine, 0.003434)
[1 Debug 20:15:20.916] Registering remote object /org/bansheeproject/Banshee/PlaybackController (Banshee.PlaybackController.PlaybackControllerService) on org.bansheeproject.Banshee
[1 Debug 20:15:20.916] Core service started (PlaybackController, 0.001566)
[1 Debug 20:15:20.919] Starting - Startup Job
[1 Debug 20:15:20.920] Core service started (JobScheduler, 0.003439)
[1 Debug 20:15:20.924] IO provider extension loaded (Banshee.IO.Gio.Provider)
[1 Debug 20:15:20.947] Loaded HardwareManager backend: Banshee.Hardware.Gio
[1 Debug 20:15:20.948] Core service started (HardwareManager, 0.028061)
[1 Debug 20:15:20.949] Bus.Session.RequestName ('org.bansheeproject.CollectionIndexer') replied with PrimaryOwner
[1 Debug 20:15:20.949] Registering remote object /org/bansheeproject/Banshee/CollectionIndexerService (Banshee.Collection.Indexer.CollectionIndexerService) on org.bansheeproject.CollectionIndexer
[1 Debug 20:15:20.950] Core service started (CollectionIndexerService, 0.002117)
[1 Debug 20:15:20.951] Core service started (SaveTrackMetadataService, 0.000805)
[1 Debug 20:15:20.958] Adding icon theme search path: /usr/share/banshee/icons
[1 Debug 20:15:20.958] Core service started (GtkElementsService, 0.007172)
[1 Debug 20:15:20.959] Core service started (InterfaceActionService, 0.000721)
[1 Debug 20:15:21.018] Extension actions loaded: MetadataFixActions
[1 Debug 20:15:21.018] Registering remote object /org/bansheeproject/Banshee/GlobalUIActions (Banshee.Gui.GlobalActions) on org.bansheeproject.Banshee
[1 Debug 20:15:21.020] Album artwork path set to /home/default/.cache/media-art
[1 Debug 20:15:21.030] Core service started (ArtworkManager, 0.011978)
[1 Debug 20:15:21.030] Core service started (BookmarksService, 0.000114)
[1 Debug 20:15:21.121] Adding context page lastfm-recommendations
[1 Debug 20:15:21.133] Adding context page wikipedia
[1 Debug 20:15:21.228] Constructed Nereid interface: 0.180629
[1 Debug 20:15:21.259] Creating new surface cache for 90px images, capped at 0.93 MiB (30 items)
[1 Debug 20:15:21.301] Registering remote object /org/bansheeproject/Banshee/ClientWindow (Nereid.PlayerInterface) on org.bansheeproject.Banshee
[1 Debug 20:15:21.301] Core service started (NereidPlayerInterface, 0.265467)
[1 Debug 20:15:21.303] Extension service started (AmazonMp3DownloaderService, 0.001638)
[1 Info  20:15:21.305] Updating web proxy from GConf
[1 Debug 20:15:21.308] Direct connection, no proxy in use
[1 Debug 20:15:21.315] Extension service started (GnomeService, 0.011405)
[1 Debug 20:15:21.316] Extension service started (PodcastService, 0.001074)
[1 Debug 20:15:21.316] Extension service started (DapService, 0.000386)
[1 Debug 20:15:21.317] Extension service started (CoverArtService, 0.000932)
[1 Debug 20:15:21.322] Audioscrobbler state: connected
[1 Debug 20:15:21.323] Extension service started (AudioscrobblerService, 0.005906)
[1 Debug 20:15:21.337] Extension service started (NotificationAreaService, 0.01344)
[1 Debug 20:15:21.349] Extension service started (AudioCdService, 0.012279)
[1 Debug 20:15:21.350] Extension service started (DvdService, 0.00092)
[1 Debug 20:15:21.353] Extension service started (BpmService, 0.00292)
[1 Debug 20:15:21.366] Extension service started (GStreamerCoreService, 0.013232)
[1 Debug 20:15:21.379] Extension service started (EmusicService, 0.012909)
[1 Debug 20:15:21.380] Extension service started (DaapService, 0.0005)
[1 Warn  20:15:21.384] Caught an exception - System.ApplicationException: No support GNOME Settings Daemon could be reached. (in `Banshee.MultimediaKeys')
  at Banshee.MultimediaKeys.MultimediaKeysService.Banshee.ServiceStack.IExtensionService.Initialize () [0x000be] in /builddir/build/BUILD/banshee-2.6.0/src/Extensions/Banshee.MultimediaKeys/Banshee.MultimediaKeys/MultimediaKeysService.cs:123 
  at Banshee.ServiceStack.ServiceManager.StartExtension (Mono.Addins.TypeExtensionNode node) [0x00034] in /builddir/build/BUILD/banshee-2.6.0/src/Core/Banshee.Services/Banshee.ServiceStack/ServiceManager.cs:210 
[1 Warn  20:15:21.384] Extension `Banshee.MultimediaKeys.MultimediaKeysService' not started: No support GNOME Settings Daemon could be reached.
[1 Warn  20:15:21.385] Caught an exception - System.ApplicationException: No support GNOME Settings Daemon could be reached. (in `Banshee.MultimediaKeys')
  at Banshee.MultimediaKeys.MultimediaKeysService.Banshee.ServiceStack.IExtensionService.Initialize () [0x000be] in /builddir/build/BUILD/banshee-2.6.0/src/Extensions/Banshee.MultimediaKeys/Banshee.MultimediaKeys/MultimediaKeysService.cs:123 
  at Banshee.ServiceStack.ServiceManager.StartExtension (Mono.Addins.TypeExtensionNode node) [0x00034] in /builddir/build/BUILD/banshee-2.6.0/src/Core/Banshee.Services/Banshee.ServiceStack/ServiceManager.cs:210 
[1 Warn  20:15:21.385] Extension `Banshee.MultimediaKeys.MultimediaKeysService' not started: No support GNOME Settings Daemon could be reached.
[1 Info  20:15:21.385] All services are started 0.563455
[1 Debug 20:15:21.524] Creating Pango.Layout, configuring Cairo.Context
[1 Debug 20:15:21.587] Extension source loaded: Internet Archive
[1 Info  20:15:21.590] AmazonMP3 store redirect URL: http://integrated-services.banshee.fm/amz/redirect.do/
[1 Debug 20:15:21.591] Extension source loaded: Amazon MP3 Store
[1 Debug 20:15:21.593] Extension source loaded: Now Playing
[1 Debug 20:15:21.605] Extension source loaded: File System Queue
[1 Debug 20:15:21.619] Extension source loaded: Last.fm
[1 Debug 20:15:21.628] Extension source loaded: Audiobooks
[1 Debug 20:15:21.633] Extension source loaded: Radio
[1 Debug 20:15:21.674] Registering remote object /org/bansheeproject/Banshee/SourceManager/PlayQueue (Banshee.PlayQueue.PlayQueueSource) on org.bansheeproject.Banshee
[1 Debug 20:15:21.674] Extension source loaded: Play Queue
[1 Debug 20:15:21.677] Extension source loaded: Miro Guide
[1 Debug 20:15:21.679] Starting GTK main loop
[1 Debug 20:15:21.726] Creating Pango.Layout, configuring Cairo.Context
[1 Debug 20:15:21.743] Creating Pango.Layout, configuring Cairo.Context
[1 Info  20:15:21.772] nereid Client Started
[1 Debug 20:15:21.773] Delayed Initializating Banshee.MediaEngine.PlayerEngineService
[1 Debug 20:15:21.785] (libbanshee:player) Audiosink has volume: YES
[1 Debug 20:15:21.795] (libbanshee:player) Using system (gst-plugins-good) equalizer element
[1 Debug 20:15:21.818] Player state change: NotReady -> Ready
[1 Debug 20:15:21.820] Loaded equalizer presets: 0.000105
[1 Debug 20:15:21.822] Selected equalizer: Rock
[1 Debug 20:15:21.824] Player state change: Ready -> Idle
[1 Debug 20:15:21.826] (libbanshee:player) Disabled ReplayGain
[1 Info  20:15:21.826] GStreamer version 0.10.36.0, gapless: True, replaygain: False
[1 Debug 20:15:21.828] Delayed Initializating Banshee.Podcasting.PodcastService
[1 Debug 20:15:21.849] Delayed Initializating Banshee.Dap.DapService
[1 Debug 20:15:21.853] Dap support extension loaded: Banshee.Dap.MassStorage
[1 Debug 20:15:21.854] Dap support extension loaded: Banshee.Dap.Mtp
[1 Debug 20:15:21.854] Dap support extension loaded: Banshee.Dap.AppleDevice
[1 Debug 20:15:21.857] Delayed Initializating Banshee.Daap.DaapService
[7 Debug 20:15:21.860] Refreshing any podcasts that haven't been updated in over an hour
[8 Warn  20:15:21.882] Caught an exception - System.ArgumentNullException: Argument cannot be null. (in `mscorlib')
  at System.Int32.Parse (System.String s, NumberStyles style, IFormatProvider provider) [0x00016] in /builddir/build/BUILD/mono-2.10.8/mcs/class/corlib/System/Int32.cs:636 
  at System.Int32.Parse (System.String s, NumberStyles style) [0x00000] in /builddir/build/BUILD/mono-2.10.8/mcs/class/corlib/System/Int32.cs:206 
  at Banshee.Hardware.Gio.UsbDevice.GetVendorId (IUsbDevice device) [0x00007] in /builddir/build/BUILD/banshee-2.6.0/src/Backends/Banshee.Gio/Banshee.Hardware.Gio/UsbDevice.cs:112 
  at Banshee.Hardware.Gio.UsbDevice.get_VendorId () [0x00000] in /builddir/build/BUILD/banshee-2.6.0/src/Backends/Banshee.Gio/Banshee.Hardware.Gio/UsbDevice.cs:197 
  at Banshee.Dap.MassStorage.DeviceMapper.Map (Banshee.Dap.MassStorage.MassStorageSource source) [0x00028] in /builddir/build/BUILD/banshee-2.6.0/src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/DeviceMapper.cs:45 
  at Banshee.Dap.MassStorage.MassStorageSource.DeviceInitialize (IDevice device) [0x0004d] in /builddir/build/BUILD/banshee-2.6.0/src/Dap/Banshee.Dap.MassStorage/Banshee.Dap.MassStorage/MassStorageSource.cs:70 
  at Banshee.Dap.DapService.FindDeviceSource (IDevice device) [0x00025] in /builddir/build/BUILD/banshee-2.6.0/src/Dap/Banshee.Dap/Banshee.Dap/DapService.cs:159 
[1 Debug 20:15:22.861] Finished - Startup Job
[1 Debug 20:15:22.864] Starting - Downloading Cover Art
[12 Debug 20:15:22.865] Finished - Downloading Cover Art
System.ApplicationException: Could not find org.freedesktop.Avahi
  at Mono.Zeroconf.Providers.AvahiDBus.DBusManager.Initialize () [0x000aa] in /builddir/build/BUILD/mono-zeroconf-0.9.0/src/Mono.Zeroconf.Providers.AvahiDBus/Mono.Zeroconf.Providers.AvahiDBus/DBusManager.cs:101 
  at Mono.Zeroconf.Providers.AvahiDBus.ZeroconfProvider.Initialize () [0x00000] in /builddir/build/BUILD/mono-zeroconf-0.9.0/src/Mono.Zeroconf.Providers.AvahiDBus/Mono.Zeroconf.Providers.AvahiDBus/ZeroconfProvider.cs:40 
  at Mono.Zeroconf.Providers.ProviderFactory.GetProviders () [0x001c3] in /builddir/build/BUILD/mono-zeroconf-0.9.0/src/Mono.Zeroconf/Mono.Zeroconf.Providers/ProviderFactory.cs:102 
[9 Warn  20:15:23.414] Failed to start DAAP client - System.Exception: No Zeroconf providers could be found or initialized. Necessary daemon may not be running. (in `Mono.Zeroconf')
  at Mono.Zeroconf.Providers.ProviderFactory.GetProviders () [0x0024d] in /builddir/build/BUILD/mono-zeroconf-0.9.0/src/Mono.Zeroconf/Mono.Zeroconf.Providers/ProviderFactory.cs:120 
  at Mono.Zeroconf.Providers.ProviderFactory.get_DefaultProvider () [0x0000a] in /builddir/build/BUILD/mono-zeroconf-0.9.0/src/Mono.Zeroconf/Mono.Zeroconf.Providers/ProviderFactory.cs:44 
  at Mono.Zeroconf.Providers.ProviderFactory.get_SelectedProvider () [0x00000] in /builddir/build/BUILD/mono-zeroconf-0.9.0/src/Mono.Zeroconf/Mono.Zeroconf.Providers/ProviderFactory.cs:52 
  at Mono.Zeroconf.ServiceBrowser..ctor () [0x00006] in /builddir/build/BUILD/mono-zeroconf-0.9.0/src/Mono.Zeroconf/Mono.Zeroconf/ServiceBrowser.cs:41 
  at Daap.ServiceLocator.Start () [0x00011] in /builddir/build/BUILD/banshee-2.6.0/src/Extensions/Banshee.Daap/Daap/ServiceLocator.cs:112 
  at Banshee.Daap.DaapService.ThreadedInitialize () [0x00073] in /builddir/build/BUILD/banshee-2.6.0/src/Extensions/Banshee.Daap/Banshee.Daap/DaapService.cs:173 
[1 Debug 20:15:27.043] Core service started (ImportSourceManager, 8.8E-05)
[1 Debug 20:15:36.448] Core service started (LibraryImportManager, 0.000121)
[1 Debug 20:15:36.449] Starting - Importing Media
[16 Debug 20:15:37.837] Importing Ogg Rating=0() and Playcount=0() from File "/run/media/default/Elements/My Music/Flac/Moby/Play/06 - Rushing.flac"
[16 Debug 20:15:37.904] Importing Ogg Rating=0() and Playcount=0() from File "/run/media/default/Elements/My Music/Flac/Moby/Play/07 - Bodyrock.flac"
[16 Debug 20:15:37.938] Importing Ogg Rating=0() and Playcount=0() from File "/run/media/default/Elements/My Music/Flac/Moby/Play/08 - Natural Blues.flac"
[16 Debug 20:15:37.963] Importing Ogg Rating=0() and Playcount=0() from File "/run/media/default/Elements/My Music/Flac/Moby/Play/09 - Machete.flac"
[16 Debug 20:15:37.992] Importing Ogg Rating=0() and Playcount=0() from File "/run/media/default/Elements/My Music/Flac/Moby/Play/10 - 7.flac"
[16 Debug 20:15:38.036] Importing Ogg Rating=0() and Playcount=0() from File "/run/media/default/Elements/My Music/Flac/Moby/Play/11 - Run On.flac"
[16 Debug 20:15:38.072] Importing Ogg Rating=0() and Playcount=0() from File "/run/media/default/Elements/My Music/Flac/Moby/Play/12 - Down Slow.flac"
[16 Debug 20:15:38.097] Importing Ogg Rating=0() and Playcount=0() from File "/run/media/default/Elements/My Music/Flac/Moby/Play/13 - If Things Were Perfect.flac"
[16 Debug 20:15:38.131] Importing Ogg Rating=0() and Playcount=0() from File "/run/media/default/Elements/My Music/Flac/Moby/Play/14 - Everloving.flac"
[16 Debug 20:15:38.185] Importing Ogg Rating=0() and Playcount=0() from File "/run/media/default/Elements/My Music/Flac/Moby/Play/15 - Inside.flac"
[16 Debug 20:15:38.213] Importing Ogg Rating=0() and Playcount=0() from File "/run/media/default/Elements/My Music/Flac/Moby/Play/16 - Guitar, Flute & String.flac"
[16 Debug 20:15:38.248] Importing Ogg Rating=0() and Playcount=0() from File "/run/media/default/Elements/My Music/Flac/Moby/Play/17 - Sky Is Broken.flac"
[16 Debug 20:15:38.292] Importing Ogg Rating=0() and Playcount=0() from File "/run/media/default/Elements/My Music/Flac/Moby/Play/18 - My Weakness.flac"
[16 Debug 20:15:38.327] Importing Ogg Rating=0() and Playcount=0() from File "/run/media/default/Elements/My Music/Flac/'N Sync/Celebrity/01 - Pop.flac"
[16 Debug 20:15:38.351] Importing Ogg Rating=0() and Playcount=0() from File "/run/media/default/Elements/My Music/Flac/'N Sync/Celebrity/02 - Celebrity.flac"
[16 Debug 20:15:38.393] Importing Ogg Rating=0() and Playcount=0() from File "/run/media/default/Elements/My Music/Flac/'N Sync/Celebrity/03 - The Game Is Over.flac"
[16 Debug 20:15:38.430] Importing Ogg Rating=0() and Playcount=0() from File "/run/media/default/Elements/My Music/Flac/'N Sync/Celebrity/04 - Girlfriend.flac"
[16 Debug 20:15:38.480] Importing Ogg Rating=0() and Playcount=0() from File "/run/media/default/Elements/My Music/Flac/'N Sync/Celebrity/05 - The Two Of Us.flac"
[16 Debug 20:15:38.517] Importing Ogg Rating=0() and Playcount=0() from File "/run/media/default/Elements/My Music/Flac/'N Sync/Celebrity/06 - Gone.flac"
[16 Debug 20:15:38.545] Importing Ogg Rating=0() and Playcount=0() from File "/run/media/default/Elements/My Music/Flac/'N Sync/Celebrity/07 - Tell Me, Tell Me... Baby.flac"
[16 Debug 20:15:38.581] Importing Ogg Rating=0() and Playcount=0() from File "/run/media/default/Elements/My Music/Flac/'N Sync/Celebrity/08 - Up Against The Wall.flac"
[16 Debug 20:15:38.618] Importing Ogg Rating=0() and Playcount=0() from File "/run/media/default/Elements/My Music/Flac/'N Sync/Celebrity/09 - See Right Through You.flac"

Stacktrace:


Native stacktrace:

Segmentation fault (core dumped)
Comment 15 GeekGirl1 2013-01-21 20:55:58 EST
My information for the previous post-

Name        : banshee
Arch        : x86_64
Version     : 2.6.0
Release     : 1.fc18
Size        : 13 M
Repo        : installed
From repo   : fedora

Kernel: 3.7.2-204.fc18.x86_64
Architecture: x86_64
Comment 16 GeekGirl1 2013-01-21 21:32:36 EST
I tried Brice's solution, but it had no effect. This is a timing problem, as banshee crashed during Media import when started from the GUI (menu entry), but did NOT crash when started from the command line in debug mode.

$banshee --debug

I terminated the media import prior to completion (Stop import). After a delay of several seconds to complete writing to the command line output, there is a stream of D-BUS error messages.


I think this is representative of the gconf/D-Bus interactions as described in Comment 7. I can go no farther to help with this problem.

[17 Debug 21:15:37.378] Got cover art from track's folder - file:///run/media/default/Elements/My%20Music/Flac/Big%20Daddy%20Kane/Long%20Live%20The%20Kane/Folder.jpg
[17 Debug 21:15:37.390] Got cover art from track's folder - file:///run/media/default/Elements/My%20Music/Flac/Big%20Brother%20&%20The%20Holding%20Company/Big%20Brother%20&%20The%20Holding%20Company/Folder.jpg
[17 Debug 21:15:37.414] Got cover art from track's folder - file:///run/media/default/Elements/My%20Music/Flac/Big%20Brother%20&%20The%20Holding%20Company/Cheap%20Thrills/Folder.jpg

(Banshee:5046): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
[1 Warn  21:15:37.739] Could not set GConf key player_window.maximized. - GLib.GException: No D-BUS daemon running
 (in `gconf-sharp')
  at GConf.Client.SetValue (System.String key, GConf.Value val) [0x00000] in <filename unknown>:0 
  at GConf.ClientBase.Set (System.String key, System.Object val) [0x00000] in <filename unknown>:0 
  at Banshee.GnomeBackend.GConfConfigurationClient.Set[Boolean] (System.String namespace, System.String key, Boolean value) [0x00027] in /builddir/build/BUILD/banshee-2.6.0/src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GConfConfigurationClient.cs:141 

(Banshee:5046): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
[1 Warn  21:15:37.739] Could not set GConf key player_window.x_pos. - GLib.GException: No D-BUS daemon running
 (in `gconf-sharp')
  at GConf.Client.SetValue (System.String key, GConf.Value val) [0x00000] in <filename unknown>:0 
  at GConf.ClientBase.Set (System.String key, System.Object val) [0x00000] in <filename unknown>:0 
  at Banshee.GnomeBackend.GConfConfigurationClient.Set[Int32] (System.String namespace, System.String key, Int32 value) [0x00027] in /builddir/build/BUILD/banshee-2.6.0/src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GConfConfigurationClient.cs:141 

(Banshee:5046): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
[1 Warn  21:15:37.740] Could not set GConf key player_window.y_pos. - GLib.GException: No D-BUS daemon running
 (in `gconf-sharp')
  at GConf.Client.SetValue (System.String key, GConf.Value val) [0x00000] in <filename unknown>:0 
  at GConf.ClientBase.Set (System.String key, System.Object val) [0x00000] in <filename unknown>:0 
  at Banshee.GnomeBackend.GConfConfigurationClient.Set[Int32] (System.String namespace, System.String key, Int32 value) [0x00027] in /builddir/build/BUILD/banshee-2.6.0/src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GConfConfigurationClient.cs:141 

(Banshee:5046): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
[1 Warn  21:15:37.740] Could not set GConf key player_window.width. - GLib.GException: No D-BUS daemon running
 (in `gconf-sharp')
  at GConf.Client.SetValue (System.String key, GConf.Value val) [0x00000] in <filename unknown>:0 
  at GConf.ClientBase.Set (System.String key, System.Object val) [0x00000] in <filename unknown>:0 
  at Banshee.GnomeBackend.GConfConfigurationClient.Set[Int32] (System.String namespace, System.String key, Int32 value) [0x00027] in /builddir/build/BUILD/banshee-2.6.0/src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GConfConfigurationClient.cs:141 

(Banshee:5046): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
[1 Warn  21:15:37.741] Could not set GConf key player_window.height. - GLib.GException: No D-BUS daemon running
 (in `gconf-sharp')
  at GConf.Client.SetValue (System.String key, GConf.Value val) [0x00000] in <filename unknown>:0 
  at GConf.ClientBase.Set (System.String key, System.Object val) [0x00000] in <filename unknown>:0 
  at Banshee.GnomeBackend.GConfConfigurationClient.Set[Int32] (System.String namespace, System.String key, Int32 value) [0x00027] in /builddir/build/BUILD/banshee-2.6.0/src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GConfConfigurationClient.cs:141 
[17 Debug 21:15:38.334] Finished - Downloading Cover Art

(Banshee:5046): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
[1 Warn  21:15:38.501] Could not set GConf key player_window.maximized. - GLib.GException: No D-BUS daemon running
 (in `gconf-sharp')
  at GConf.Client.SetValue (System.String key, GConf.Value val) [0x00000] in <filename unknown>:0 
  at GConf.ClientBase.Set (System.String key, System.Object val) [0x00000] in <filename unknown>:0 
  at Banshee.GnomeBackend.GConfConfigurationClient.Set[Boolean] (System.String namespace, System.String key, Boolean value) [0x00027] in /builddir/build/BUILD/banshee-2.6.0/src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GConfConfigurationClient.cs:141 

(Banshee:5046): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
[1 Warn  21:15:38.501] Could not set GConf key player_window.x_pos. - GLib.GException: No D-BUS daemon running
 (in `gconf-sharp')
  at GConf.Client.SetValue (System.String key, GConf.Value val) [0x00000] in <filename unknown>:0 
  at GConf.ClientBase.Set (System.String key, System.Object val) [0x00000] in <filename unknown>:0 
  at Banshee.GnomeBackend.GConfConfigurationClient.Set[Int32] (System.String namespace, System.String key, Int32 value) [0x00027] in /builddir/build/BUILD/banshee-2.6.0/src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GConfConfigurationClient.cs:141 

(Banshee:5046): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
[1 Warn  21:15:38.501] Could not set GConf key player_window.y_pos. - GLib.GException: No D-BUS daemon running
 (in `gconf-sharp')
  at GConf.Client.SetValue (System.String key, GConf.Value val) [0x00000] in <filename unknown>:0 
  at GConf.ClientBase.Set (System.String key, System.Object val) [0x00000] in <filename unknown>:0 
  at Banshee.GnomeBackend.GConfConfigurationClient.Set[Int32] (System.String namespace, System.String key, Int32 value) [0x00027] in /builddir/build/BUILD/banshee-2.6.0/src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GConfConfigurationClient.cs:141 

(Banshee:5046): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
[1 Warn  21:15:38.502] Could not set GConf key player_window.width. - GLib.GException: No D-BUS daemon running
 (in `gconf-sharp')
  at GConf.Client.SetValue (System.String key, GConf.Value val) [0x00000] in <filename unknown>:0 
  at GConf.ClientBase.Set (System.String key, System.Object val) [0x00000] in <filename unknown>:0 
  at Banshee.GnomeBackend.GConfConfigurationClient.Set[Int32] (System.String namespace, System.String key, Int32 value) [0x00027] in /builddir/build/BUILD/banshee-2.6.0/src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GConfConfigurationClient.cs:141 

(Banshee:5046): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
[1 Warn  21:15:38.502] Could not set GConf key player_window.height. - GLib.GException: No D-BUS daemon running
 (in `gconf-sharp')
  at GConf.Client.SetValue (System.String key, GConf.Value val) [0x00000] in <filename unknown>:0 
  at GConf.ClientBase.Set (System.String key, System.Object val) [0x00000] in <filename unknown>:0 
  at Banshee.GnomeBackend.GConfConfigurationClient.Set[Int32] (System.String namespace, System.String key, Int32 value) [0x00027] in /builddir/build/BUILD/banshee-2.6.0/src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GConfConfigurationClient.cs:141 

(Banshee:5046): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
[1 Warn  21:15:39.079] Could not set GConf key player_window.maximized. - GLib.GException: No D-BUS daemon running
 (in `gconf-sharp')
  at GConf.Client.SetValue (System.String key, GConf.Value val) [0x00000] in <filename unknown>:0 
  at GConf.ClientBase.Set (System.String key, System.Object val) [0x00000] in <filename unknown>:0 
  at Banshee.GnomeBackend.GConfConfigurationClient.Set[Boolean] (System.String namespace, System.String key, Boolean value) [0x00027] in /builddir/build/BUILD/banshee-2.6.0/src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GConfConfigurationClient.cs:141 

(Banshee:5046): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
[1 Warn  21:15:39.079] Could not set GConf key player_window.x_pos. - GLib.GException: No D-BUS daemon running
 (in `gconf-sharp')
  at GConf.Client.SetValue (System.String key, GConf.Value val) [0x00000] in <filename unknown>:0 
  at GConf.ClientBase.Set (System.String key, System.Object val) [0x00000] in <filename unknown>:0 
  at Banshee.GnomeBackend.GConfConfigurationClient.Set[Int32] (System.String namespace, System.String key, Int32 value) [0x00027] in /builddir/build/BUILD/banshee-2.6.0/src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GConfConfigurationClient.cs:141 

(Banshee:5046): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
[1 Warn  21:15:39.079] Could not set GConf key player_window.y_pos. - GLib.GException: No D-BUS daemon running
 (in `gconf-sharp')
  at GConf.Client.SetValue (System.String key, GConf.Value val) [0x00000] in <filename unknown>:0 
  at GConf.ClientBase.Set (System.String key, System.Object val) [0x00000] in <filename unknown>:0 
  at Banshee.GnomeBackend.GConfConfigurationClient.Set[Int32] (System.String namespace, System.String key, Int32 value) [0x00027] in /builddir/build/BUILD/banshee-2.6.0/src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GConfConfigurationClient.cs:141 

(Banshee:5046): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
[1 Warn  21:15:39.080] Could not set GConf key player_window.width. - GLib.GException: No D-BUS daemon running
 (in `gconf-sharp')
  at GConf.Client.SetValue (System.String key, GConf.Value val) [0x00000] in <filename unknown>:0 
  at GConf.ClientBase.Set (System.String key, System.Object val) [0x00000] in <filename unknown>:0 
  at Banshee.GnomeBackend.GConfConfigurationClient.Set[Int32] (System.String namespace, System.String key, Int32 value) [0x00027] in /builddir/build/BUILD/banshee-2.6.0/src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GConfConfigurationClient.cs:141 

(Banshee:5046): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
[1 Warn  21:15:39.080] Could not set GConf key player_window.height. - GLib.GException: No D-BUS daemon running
 (in `gconf-sharp')
  at GConf.Client.SetValue (System.String key, GConf.Value val) [0x00000] in <filename unknown>:0 
  at GConf.ClientBase.Set (System.String key, System.Object val) [0x00000] in <filename unknown>:0 
  at Banshee.GnomeBackend.GConfConfigurationClient.Set[Int32] (System.String namespace, System.String key, Int32 value) [0x00027] in /builddir/build/BUILD/banshee-2.6.0/src/Backends/Banshee.Gnome/Banshee.GnomeBackend/GConfConfigurationClient.cs:141
Comment 17 Dan Berindei 2013-01-23 04:43:25 EST
I have also managed to work around the crashes by installing ifuse (I already had liblastfm installed).
Comment 18 Boyd 2013-01-23 10:45:29 EST
(In reply to comment #17)
> I have also managed to work around the crashes by installing ifuse (I
> already had liblastfm installed).

This may reduce the number of crashes, but when banshee is busy importing music or renaming files etc, then it still crashes a lot.  There are a lot of other weird things happening.  Settings sometimes don't persist, sometimes they do:  ex view/show cover art, or view/browser content/show genre filter.  There are still constant "GConf-WARNING **: Got Disconnected from DBus." messages.  So this 'work around' is not too stable at all.
Comment 19 GeekGirl1 2013-01-24 21:46:13 EST
I have completed my media file import using debug mode with no crashes. After the import completed (including import of the album art), I exited banshee. The debug messages continued:

2 GConf-WARNING messages like this:

(Banshee:2266): GConf-WARNING **: The connection to DBus was broken. Can't reinitialize it.
[1 Warn  17:45:16.876] Could not read GConf key plugins.audioscrobbler.device_engine_enabled - GLib.GException: No D-BUS daemon running
 (in `gconf-sharp')
  at GConf.Client.Get (System.String key) [0x00000] in <filename unknown>:0 
  at Banshee.GnomeBackend.GConfConfigurationClient.TryGet[Boolean] (System.String namespace, System.String key, System.Boolean& result) [0x00037] in /builddir/build/BUILD/banshee-2.6.0/src/Backends

Followed by core dumps of 4 threads, of this form:

//////////////////////////////////////////////
Debug info from gdb:

Mono support loaded.
Mono support loaded.
[New LWP 2272]
[New LWP 2269]
[New LWP 2268]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib64/libthread_db.so.1".
0x000000361360e12d in read () from /usr/lib64/libpthread.so.0
  Id   Target Id         Frame 
  4    Thread 0x7f2d0b1e4700 (LWP 2268) "mono" 0x000000361360b5e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
  3    Thread 0x7f2d0a38b700 (LWP 2269) "mono" 0x000000361360d6a0 in sem_wait () from /usr/lib64/libpthread.so.0
  2    Thread 0x7f2d0394f700 (LWP 2272) "gdbus" 0x0000003612ee998d in poll () from /usr/lib64/libc.so.6
* 1    Thread 0x7f2d115d5780 (LWP 2266) "banshee" 0x000000361360e12d in read () from /usr/lib64/libpthread.so.0
=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================

Aborted (core dumped)

///////////////////////////////////////////

I verified that D-Bus is running.

$ systemctl status messagebus.service
dbus.service - D-Bus System Message Bus
	  Loaded: loaded (/usr/lib/systemd/system/dbus.service; static)
	  Active: active (running) since Thu, 2013-01-24 11:14:48 EST; 10h ago
	Main PID: 614 (dbus-daemon)
	  CGroup: name=systemd:/system/dbus.service
		  ├ 614 /bin/dbus-daemon --system --address=systemd: --nofork --nopidfile --systemd-activation
		  └ 753 /usr/sbin/modem-manager
Comment 20 Philip Gillißen 2013-02-08 07:12:38 EST
I have the same issues with Fedora 18 64 bit, Banshee from the repos. I have the same messages in my log and the DBus service is running.
Another effect is that the volume is at 100%, if I start the playback in Banshee initially.
Comment 21 Theodore Lee 2013-02-09 01:09:34 EST
(In reply to comment #20)
> I have the same issues with Fedora 18 64 bit, Banshee from the repos. I have
> the same messages in my log and the DBus service is running.
> Another effect is that the volume is at 100%, if I start the playback in
> Banshee initially.

The volume bug you're seeing is unrelated to this one (and a side effect of a pulseaudio change). It's been around for a while, but doesn't seem like it's getting fixed any time soon, although there is a workaround. See bugs 868077 and 908991 for details.
Comment 22 Theodore Lee 2013-02-09 01:22:26 EST
(I didn't link my previous comment properly, apologies for that. It should be, "See bug 868077 and bug 908991 for details.")

For those who are rather attached to Banshee and really want their music player back as soon as possible, I've built RPMs of GConf2 with Ubuntu's patch for this problem included.

32-bit:
http://antiaircraft.fedorapeople.org/gconf-dbus-workaround/i386/GConf2-3.2.5-3.1.aa.fc18.i686.rpm

64-bit:
http://antiaircraft.fedorapeople.org/gconf-dbus-workaround/x86_64/GConf2-3.2.5-3.1.aa.fc18.x86_64.rpm

The full set of packages:
http://antiaircraft.fedorapeople.org/gconf-dbus-workaround/

Installing the respective GConf2 package for your arch should allow Banshee to run, at least based on the limited testing I've done on my system.

NOTE: If I understand the upstream discussion correctly, the Ubuntu patch isn't exactly correct, and may very well cause crashes in other areas, so use at your own risk, warranty void if seal broken, etc. etc. If you run into trouble, 'yum downgrade GConf2' should get you back on the official distro version.
Comment 23 Theodore Lee 2013-02-09 01:26:31 EST
Apologies for the bugspam, I forgot to mention that a logout/login after installing is probably needed for this to take effect.
Comment 24 Stephen Hatfield 2013-02-09 11:25:31 EST
Hi Theodore, 

I have used the fc18.x86_64 from aa link provided above and I am HAPPILY playing my music again!  I am also able to manage the files properly too.   

Thank you very much!  

I will keep an eye for other problems till all this gets 'sorted out' but so far no problems all morning with Thunderbird and Firefox running hard . . .
Comment 25 Philip Gillißen 2013-03-06 05:14:24 EST
(In reply to comment #22)
> (I didn't link my previous comment properly, apologies for that. It should
> be, "See bug 868077 and bug 908991 for details.")
Thank you for the hints, the flat-volume=no helped!

 
> For those who are rather attached to Banshee and really want their music
> player back as soon as possible, I've built RPMs of GConf2 with Ubuntu's
> patch for this problem included.
Many thanks again! For me, Banshee is now much more stable (almost as on F17).

> NOTE: If I understand the upstream discussion correctly, the Ubuntu patch
> isn't exactly correct, and may very well cause crashes in other areas
So the Ubuntu patch is under work yet? Do you have a link to the specific bug?

Does anybody know, how we can push this patch further?
Comment 26 Theodore Lee 2013-03-06 07:26:40 EST
(In reply to comment #25)
> > > NOTE: If I understand the upstream discussion correctly, the Ubuntu patch
> > isn't exactly correct, and may very well cause crashes in other areas
> So the Ubuntu patch is under work yet? Do you have a link to the specific
> bug?
> 
> Does anybody know, how we can push this patch further?

The Ubuntu patch isn't really something being worked on as far as I can tell, just a stopgap workaround to keep things working until a proper fix is found.

As per comment 3, it looks like most of the upstream discussion is taking place on the GNOME bug here:
https://bugzilla.gnome.org/show_bug.cgi?id=683830

From my limited understanding of the issue, it doesn't look like there's a consensus on how to fix this at the moment.
Comment 27 Theodore Lee 2013-03-06 23:17:37 EST
It looks like a more appropriate workaround is to patch gnome-sharp:
https://github.com/meebey/gnome-sharp/commit/e9d06b56a54dcd399d1d3eaaf62bdacb7e07084d

It seems this workaround is being pushed upstream, but is there any chance we could get this into Fedora sooner so we don't have a bunch of broken applications? If so, should a new bug be filed against gnome-sharp or should this one be moved?
Comment 28 Kalev Lember 2013-03-31 11:01:33 EDT
I have done a banshee-2.6.0-2.fc18 build with a patch that should fix the crashes. Can you guys give it a try?

The patch is from upstream ticket https://bugzilla.gnome.org/show_bug.cgi?id=692374 and explicitly initializes DBus threads at Banshee startup. The patch implements what was suggested at https://bugzilla.gnome.org/show_bug.cgi?id=683830#c18 and should be the right way to address the issue.
Comment 29 Fedora Update System 2013-03-31 11:02:51 EDT
banshee-2.6.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/banshee-2.6.0-2.fc18
Comment 30 Ismael Olea 2013-03-31 16:25:02 EDT
(In reply to comment #28)
> I have done a banshee-2.6.0-2.fc18 build with a patch that should fix the
> crashes. Can you guys give it a try?

Seems it's working for me.
Comment 31 GeekGirl1 2013-03-31 20:19:09 EDT
I tried to download the rpm from here: http://koji.fedoraproject.org/koji/buildinfo?buildID=407648, but I am getting dependency errors that I can't resolve.

$ sudo rpm -i banshee-musicbrainz-2.6.0-2.fc18.x86_64.rpm 
error: Failed dependencies:
	banshee = 2.6.0-2.fc18 is needed by banshee-musicbrainz-2.6.0-2.fc18.x86_64
$ sudo rpm -i banshee-2.6.0-2.fc18.x86_64.rpm 
error: Failed dependencies:
	banshee-musicbrainz = 2.6.0-2.fc18 is needed by banshee-2.6.0-2.fc18.x86_64
	mono(MusicBrainz) = 2.6.0.0 is needed by banshee-2.6.0-2.fc18.x86_64

What is the correct way to download the rpm?
Comment 32 GeekGirl1 2013-03-31 20:20:04 EDT
^^^ Sorry, I have downloaded the rpms. What is the correct way to install the rpm?
Comment 33 Theodore Lee 2013-03-31 20:50:55 EDT
(In reply to comment #31)
> I tried to download the rpm from here:
> http://koji.fedoraproject.org/koji/buildinfo?buildID=407648, but I am
> getting dependency errors that I can't resolve.
> 
> $ sudo rpm -i banshee-musicbrainz-2.6.0-2.fc18.x86_64.rpm 
> error: Failed dependencies:
> 	banshee = 2.6.0-2.fc18 is needed by banshee-musicbrainz-2.6.0-2.fc18.x86_64
> $ sudo rpm -i banshee-2.6.0-2.fc18.x86_64.rpm 
> error: Failed dependencies:
> 	banshee-musicbrainz = 2.6.0-2.fc18 is needed by banshee-2.6.0-2.fc18.x86_64
> 	mono(MusicBrainz) = 2.6.0.0 is needed by banshee-2.6.0-2.fc18.x86_64

This should do the trick:

$ sudo yum localinstall banshee-2.6.0-2.fc18.x86_64.rpm banshee-musicbrainz-2.6.0-2.fc18.x86_64.rpm

I presume you could also install both at once using rpm, but yum is preferable in most cases as it keeps additional information (e.g. transaction history) that rpm does not.
Comment 34 Kalev Lember 2013-03-31 21:55:47 EDT
*** Bug 883089 has been marked as a duplicate of this bug. ***
Comment 35 Kalev Lember 2013-03-31 22:02:44 EDT
*** Bug 902376 has been marked as a duplicate of this bug. ***
Comment 36 GeekGirl1 2013-03-31 22:04:10 EDT
Thanks, that worked. I used rpm because I didn't fully understand how to do this in yum.

Sanity check: Help --> About is reporting 2.6 (2.6.0). I assume this will be incremented when released.

First, I deleted the existing database (all files in ~/.config/banshee-1).

$ banshee
[Info  21:27:50.336] Running Banshee 2.6.0: [Fedora18-2.6.0-2.fc18 (linux-gnu, x86_64) @ 2013-03-30 23:30:45 UTC]
[Info  21:27:51.549] Updating web proxy from GConf
[Warn  21:27:51.632] Caught an exception - System.ApplicationException: No support GNOME Settings Daemon could be reached. (in `Banshee.MultimediaKeys')
  at Banshee.MultimediaKeys.MultimediaKeysService.Banshee.ServiceStack.IExtensionService.Initialize () [0x00000] in <filename unknown>:0 
  at Banshee.ServiceStack.ServiceManager.StartExtension (Mono.Addins.TypeExtensionNode node) [0x00000] in <filename unknown>:0 
[Warn  21:27:51.633] Extension `Banshee.MultimediaKeys.MultimediaKeysService' not started: No support GNOME Settings Daemon could be reached.
[Warn  21:27:51.634] Caught an exception - System.ApplicationException: No support GNOME Settings Daemon could be reached. (in `Banshee.MultimediaKeys')
  at Banshee.MultimediaKeys.MultimediaKeysService.Banshee.ServiceStack.IExtensionService.Initialize () [0x00000] in <filename unknown>:0 
  at Banshee.ServiceStack.ServiceManager.StartExtension (Mono.Addins.TypeExtensionNode node) [0x00000] in <filename unknown>:0 
[Warn  21:27:51.634] Extension `Banshee.MultimediaKeys.MultimediaKeysService' not started: No support GNOME Settings Daemon could be reached.
[Info  21:27:51.635] All services are started 0.570876
[Info  21:27:51.804] AmazonMP3 store redirect URL: http://integrated-services.banshee.fm/amz/redirect.do/
[Warn  21:27:51.863] Error migrating Internet Radio Stations - System.IO.DirectoryNotFoundException: Directory '/home/default/.config/banshee/plugins/stations/user' not found. (in `mscorlib')
  at System.IO.Directory.ValidateDirectoryListing (System.String path, System.String searchPattern, System.Boolean& stop) [0x00000] in <filename unknown>:0 
  at System.IO.Directory.GetFileSystemEntries (System.String path, System.String searchPattern, FileAttributes mask, FileAttributes attrs) [0x00000] in <filename unknown>:0 
  at System.IO.Directory.GetFiles (System.String path, System.String searchPattern) [0x00000] in <filename unknown>:0 
  at Banshee.InternetRadio.XspfMigrator.Migrate () [0x00000] in <filename unknown>:0 
[Info  21:27:52.008] nereid Client Started
[Info  21:27:52.061] GStreamer version 0.10.36.0, gapless: True, replaygain: False
[Warn  21:27:52.126] Caught an exception - System.ArgumentNullException: Argument cannot be null. (in `mscorlib')
  at System.Int32.Parse (System.String s, NumberStyles style, IFormatProvider provider) [0x00000] in <filename unknown>:0 
  at System.Int32.Parse (System.String s, NumberStyles style) [0x00000] in <filename unknown>:0 
  at Banshee.Hardware.Gio.UsbDevice.GetVendorId (IUsbDevice device) [0x00000] in <filename unknown>:0 
  at Banshee.Hardware.Gio.UsbDevice.get_VendorId () [0x00000] in <filename unknown>:0 
  at Banshee.Dap.MassStorage.DeviceMapper.Map (Banshee.Dap.MassStorage.MassStorageSource source) [0x00000] in <filename unknown>:0 
  at Banshee.Dap.MassStorage.MassStorageSource.DeviceInitialize (IDevice device) [0x00000] in <filename unknown>:0 
  at Banshee.Dap.DapService.FindDeviceSource (IDevice device) [0x00000] in <filename unknown>:0 
[Info  21:27:52.130] AppleDeviceSource is ignoring unmounted volume 524 MB Volume

====================================
I then proceed to import my library, play a file, then added an internet radio station and play it. All OK.

After library import was finished, I exited the program and caught this on the command line. It was scrolling through very rapidly, my guess is one error for each file I imported (?). This is a snapshot:

[Warn  21:50:28.398] Caught an exception - GLib.GException: Too many levels of symbolic links (in `gio-sharp')
  at GLib.FileAdapter.EnumerateChildren (System.String attributes, FileQueryInfoFlags flags, GLib.Cancellable cancellable) [0x00000] in <filename unknown>:0 
  at Banshee.IO.Gio.Directory+<GetFiles>c__Iterator6.MoveNext () [0x00000] in <filename unknown>:0 
  at Banshee.IO.DirectoryScannerPipelineElement.ScanForFiles (System.String source, Boolean skip_hidden) [0x00000] in <filename unknown>:0 
Stacktrace:
Native stacktrace:

	banshee() [0x496b29]
	banshee() [0x4e7b8f]
	banshee() [0x41dda7]
	/usr/lib64/libpthread.so.0() [0x334ea0f000]
	/usr/lib64/libpthread.so.0(pthread_kill+0) [0x334ea0c630]
	banshee() [0x5c6f9e]
	banshee() [0x5c702b]
	banshee() [0x5ca337]
	banshee() [0x5ca9c7]
	banshee() [0x5caea6]
	banshee() [0x5caf2e]
	banshee(mono_domain_finalize+0x94) [0x54e5b4]
	banshee() [0x4175e0]
	banshee(mono_main+0xd29) [0x471d49]
	/usr/lib64/libc.so.6(__libc_start_main+0xf5) [0x334e221a05]
	banshee() [0x417159]

Debug info from gdb:

Mono support loaded.
Mono support loaded.
[New LWP 9990]
[New LWP 9959]
[New LWP 9945]
[New LWP 9734]
[New LWP 9731]
[New LWP 9730]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib64/libthread_db.so.1".
0x000000334ea0e12d in read () from /usr/lib64/libpthread.so.0
  Id   Target Id         Frame 
  7    Thread 0x7f1226b38700 (LWP 9730) "mono" 0x000000334ea0b5e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
  6    Thread 0x7f1225e0c700 (LWP 9731) "mono" 0x000000334ea0d6a0 in sem_wait () from /usr/lib64/libpthread.so.0
  5    Thread 0x7f121f586700 (LWP 9734) "gdbus" 0x000000334e2e99ad in poll () from /usr/lib64/libc.so.6
  4    Thread 0x7f12051d0700 (LWP 9945) "dconf worker" 0x000000334e2e99ad in poll () from /usr/lib64/libc.so.6
  3    Thread 0x7f11c7fff700 (LWP 9959) "gmain" 0x000000334e2e99ad in poll () from /usr/lib64/libc.so.6
  2    Thread 0x7f115b7fd700 (LWP 9990) "vis-queue:src" 0x000000334ea0b952 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
* 1    Thread 0x7f122cf2e780 (LWP 9728) "banshee" 0x000000334ea0e12d in read () from /usr/lib64/libpthread.so.0

Thread 7 (Thread 0x7f1226b38700 (LWP 9730)):
#0  0x000000334ea0b5e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
#1  0x00000000005c5983 in GC_wait_marker ()
#2  0x00000000005cd485 in GC_help_marker ()
#3  0x00000000005c4077 in GC_mark_thread ()
#4  0x000000334ea07d15 in start_thread () from /usr/lib64/libpthread.so.0
#5  0x000000334e2f248d in clone () from /usr/lib64/libc.so.6

(dump of remaining Thread stacks not included here)

=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================

^CAborted (core dumped)

==========================================

Since banshee no longer crashes, I can cautiously say the patch works. Would the above errors be due to my use of the test library rpms? I don't have gnome installed, only MATE. Is there a mismatch with mono? I'm thinking that these errors may not apply to this bug(?).
Comment 37 Fedora Update System 2013-03-31 23:25:15 EDT
Package banshee-2.6.0-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing banshee-2.6.0-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4604/banshee-2.6.0-2.fc18
then log in and leave karma (feedback).
Comment 38 Peter Robinson 2013-04-01 06:54:02 EDT
*** Bug 924566 has been marked as a duplicate of this bug. ***
Comment 39 Fedora Update System 2013-04-01 18:28:14 EDT
banshee-2.6.0-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 40 Theodore Lee 2013-04-01 20:43:55 EDT
A quick note for people using the GConf2 workaround package from comment #22 - this should no longer be necessary after updating to banshee-2.6.0-2, and I'd recommend a 'yum downgrade GConf2' or 'yum distro-sync' to get back on the distro version and avoid any potential issues (unless you're having trouble with mono applications other than banshee).
Comment 41 Ismael Olea 2013-04-02 04:02:50 EDT
(In reply to comment #40)
> A quick note for people using the GConf2 workaround package from comment #22

Thanks for the remind :-)
Comment 42 Stephen Hatfield 2013-04-02 08:24:20 EDT
Performed the following:

   # yum downgrade GConf2

   # yum update --enablerepo=updates-testing banshee-2.6.0-2.fc18

Banshee is playing nicely!  Thanks guys; you're the BEST!

Note You need to log in before you can comment on or make changes to this bug.